About This File

Framework 7.6 Configuration Manager Help

Copyright © 2000–2008 Genesys Telecommunications Laboratories, Inc. All rights reserved.
fr_cme_help_02-2008_v7.6.002.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for contact centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website. You can also find product documentation on the Genesys Documentation Library DVD (all documentation for releases 6.1 and 6.5 and all non-developer documentation for releases 7.0 through 7.6), or the Genesys Developer Documentation CD (developer documentation for releases 7.0 through 7.6). The Documentation Library DVD and Developer Documentation CD are available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | +888-369-5555 or +506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-118-974-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see the Genesys 7 Licensing Guide.

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Overview

Configuration Manager is the Genesys software application that enables you to manipulate your contact center's configuration data and set user permissions for solution functions and data.

Configuration Manager is one of the three mandatory components of the Configuration Layer:

  • Configuration Database, which stores all configuration data. DB Server—a Services Layer component—serves as an access point to the Configuration Database.

  • Configuration Server, which:

    • Provides centralized access to the Configuration Database, based on permissions that you can set for any user to any configuration object.

    • Maintains the common logical integrity of configuration data and notifies applications of changes made to the data.

    • As an optional feature, provides support for a geographically distributed environment.

  • Configuration Manager.

The Configuration Layer also includes the following optional components:

  • Solution Deployment Wizards, which automate deployment, upgrades, and uninstallation. These wizards also handle solution-specific data integrity.

  • Configuration Import Wizard, which is a point for integration with external data sources. It enables you to automatically import Lightweight Directory Access Protocol (LDAP) agent data and switch configuration data into the Genesys Configuration Database. Using this wizard, you can import and export large quantities of configuration data to and from Extensible Markup Language (XML) files.

  • Configuration Conversion Wizard, which enables you to migrate configuration data from earlier versions of Genesys products into the required data format.

  • DB Initialization Wizard, a Generic Database Initialization Wizard, which enables you to initialize the Configuration Database and the Log Database.

Warning: Do not manually make any changes to the Configuration Database. Use only the tools provided in Genesys software.


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Main Window

configuration manager interface

Configuration Manager Interface Overview

The Configuration Manager main window consists of the menu bar, the toolbar, the description bar across the top, the Tree view on the left pane, the List view on the right pane, the Details pane below the List view, and the status bar at the bottom. For certain views, Filter Expression box(es) appear at the top of the List view.

  • The Tree view presents the object model with its most important object associations.

  • The List view displays the contents of each folder.

  • The Details pane displays the main configuration parameters for the object that you selected in either the Tree view or the List view.

How Configuration Manager displays the object model depends on the type of Genesys environment you have (either enterprise—also referred to as single-tenant—or multi-tenant). Your Genesys environment is determined by your Configuration Server's operation mode, which you set by applying either enterprise or multi-tenant installation scripts when you create the Configuration Database.

This Help file identifies all environment-specific differences in interface and object descriptions. When you see no environment-specific notations, then the text applies to both types of Genesys environment.

For more information about (and screen shots of) each environment type, see:

  • Enterprise Environment

  • Multi-tenant Environment

Note: If you are using Configuration Manager with Genesys Express release 3.0 or greater, see also Interface Variations with Genesys Express.


configuration manager interface

Enterprise Environment

Enterprise (also referred to as single-tenant) configuration environment serves the needs of a single company that owns its telephony equipment and uses it for its own needs. In an enterprise configuration environment, both the Environment and Resources configuration folders are visible to all users.

When operating in an enterprise configuration environment, the Configuration Manager interface looks like this:


configuration manager interface

Multi-Tenant Environment

Multi-tenant configuration environment serves the needs of a company—typically, a service provider—that makes its telephony equipment available to other companies. So, this configuration environment also serves the needs of every company using the service.

In this environment, the Environment configuration folder is only visible on the service provider side. The individual company's resources are configured in Tenant folders, each of which is visible only to that company's users.

When operating in a multi-tenant configuration environment, the Configuration Manager interface looks like this:


configuration manager interface

File Menu

You can access these commands from the File menu:

New Window | Opens a second window of the configuration information. You can view and change information in each window. You can also drag selections, such as agents, from lists in one window to lists in the other.
New | Adds a new item to the database. The menu changes to reflect the type of the object you selected in the Tree view. For example, the menu may say New Agent, New Switch, New Application, or New Tenant.
Properties | Corresponds to the Properties button on the Configuration Manager toolbar. This command displays information about the selected item. The Properties dialog box provides more details than either the List view or Details Pane and allows you to add or change some types of information.
Exit | Closes the foremost Configuration Manager window. If only one Configuration Manager window is open, selecting Exit also logs you out of Configuration Manager and disconnects you from Configuration Server. If two or more Configuration Manager windows are open, selecting Exit closes the active Configuration Manager window.
Exit and Log Off | Ends the session with Configuration Manager and shuts down the connection to Configuration Server. If two or more Configuration Manager windows are open, selecting Exit and Log Off closes only those Configuration Manager windows opened from within the active Configuration Manager window (using New Window), and disconnects you from Configuration Server. This command does not impact Configuration Manager windows opened any other way, or by different users.
Change Password | Opens a Change Password dialog box so you can change the password for Configuration Layer login. Use the new password to log in to Configuration Manager or to any Genesys GUI application that requires a standard login procedure.


configuration manager interface

Edit Menu

You can access these commands from the Edit menu:

Cut | Removes the selected item from the current list and places it on Configuration Manager’s clipboard. There is a corresponding button on the Configuration Manager toolbar.
Copy | Copies the selected item and places it on Configuration Manager’s clipboard. There is a corresponding button on the Configuration Manager toolbar.
Paste | Pastes the item from Configuration Manager’s clipboard to the active Configuration Manager window. There is a corresponding button on the Configuration Manager toolbar.


View Menu: Overview

configuration manager interface > View Menu

View Menu Overview

You can access these commands from the View menu:

Toolbar

Makes the toolbar appear or disappear.

Status Bar

Makes the status bar appear or disappear. When active, the status bar appears across the bottom of the Configuration Manager window.

Preview

Area at the bottom right of the Configuration Manager window, where you can view the contents of the selected item without opening the item.

Large Icons, Small Icons, List, Details

Changes the view for items in the List view.

When you select Details, one or more Filter Expression boxes and detailed information about objects appear at the top of the List view.

Arrange Icons

Sorts the items according to the selected criteria. Sort options differ depending on the object type and the view.

You can also click on a column title to sort the list by that column.

Performing Multiple Sorts

When the List View is displayed in Details mode, you can make better sense of a long list by alphabetizing it several times, into easily-read subsets. To do that, follow these steps:

  1. Open, for example, the Scripts folder, which has a list of items in the List view.

  2. Click on the Script Type column title to alphabetize the list by script type.

  3. Hold down SHIFT and click on the Name column title to re-alphabetize the list by name as a subset within the script type alphabetization.

Options

Opens the Options dialog box.


configuration manager interface > View Menu

View Menu: Options

The Options dialog box contains two tabs:

  • On the General tab, you can set additional viewing properties.

  • On the Warnings tab, you can enable or disable specific warning messages that appear in response to specific actions.

General tab

Connection Parameters

  • Timeout

Specifies a timeout, in seconds, during which Configuration Manager waits for a response from Configuration Server after it has sent a request. If no response comes during the specified time, Configuration Manager displays the SCEE019 error message. The default value is 300 seconds.

Reconnect options

  • Disconnect notification

When selected: following disconnection, Configuration Manager immediately displays a dialog box which says, Connection to the Configuration Server lost. The dialog box contains Reconnect and Cancel buttons.

  • Auto reconnect

When selected: following disconnection, Configuration Manager waits the number of seconds specified in the spin box, then tries to reconnect automatically. This option is selected by default. Default value: 60. Range of values: 10-16,960 (4 hours, 42 minutes, 20 seconds).

New Objects (see also To add a new object of the same type with the same properties)

  • Make New in Properties

When selected, the Apply button changes to Make New on the Properties dialog box for new objects as you create them.

  • Make New in Properties of existing objects

When selected, the Apply button changes to Make New on the Properties dialog box for:

  • Existing objects as you modify them.

  • Existing objects as you associate them with their parent object.

Server Ports Assignment

  • Auto

When selected, specifies the start of a range of ports for server applications. The port number increments by one as new ports are added. Default is 7000.

  • Auto For Backup

When selected, specifies the start of a range of ports for backup server applications. The port number increments by one as new ports are added. Default is 8000. This option also enables automatic port synchronization between primary and backup server applications.

Include description bar for right and left panes

When selected, the description bar appears in the Configuration Manager window. This option is selected by default.

Show Annex tab in object properties

When selected, the Annex tab appears in the Properties dialog box of every object. This option is selected by default.

Show Last Name first in Person object properties

When selected, changes the order of the First and Last names in Person configuration object.

Exclude bytecode from Script objects

When selected, bytecode is excluded from Script objects of Simple Routing type to improve Configuration Manager performance. Change to this check box takes effect after you restart Configuration Manager. The check box is selected by default.

Case insensitive objects find

When selected, the Find command becomes case-insensitive.

Show advanced security information

When selected, you can view advanced security-related configuration information, most notably, information about the security certificate.

Warnings Tab

Duplicate object in the Copy/Paste operations
 | When selected, generates a warning message when a duplicate of your selected object already exists in this location.
Move object operations
 | When selected, displays a warning message at an attempt to move a configuration object from one location to another.
Host or port modification
 | When selected, displays a warning message at an attempt to change a host and/or port of an application.
Agent assigned to more than one group
 | When selected, generates a warning message when one Agent Group already contains the agent you are trying to add to another Agent Group.
Object already added into the group
 | When selected, generates a warning message when you attempt to add a duplicate object to the object group (for example, a duplicate DN to a DN Group).
Non-ASCII characters are used in application name
 | When selected, generates a warning message when you use non-ASCII characters in an application name, which can cause some problems in Genesys applications.
Change state operation
 | When selected, generates a warning when you are enabling or disabling an object by selecting or clearing the State Enabled check box.
Application certificate assignment
 | When selected, generates a warning when you attempt to set a specific certificate for the selected application instead of using the corresponding host certificate.
Port certificate assignment
 | When selected, generates a warning when you set the security certificate for the port.
Connection certificate assignment
 | When selected, generates a warning when you attempt to set a specific certificate for the selected application connection instead of using the corresponding host certificate.
Identical port numbers
 | When selected, generates a warning when you attempt to add duplicate port numbers to the list of application ports.
Connection Protocol Assignment
 | When selected, generates a warning when you set the value Default in the Connection Protocol list box of the Application object to which you are adding a connection.
Port Configuration
 | When selected, generates a warning when you attempt to set the HA Sync flag when the flag is already assigned to another port.
Listening Mode Modification
 | When selected, generates a warning when you set a port as Secured when a security certificate has not been assigned.
Inconsistent HA configuration
 | When selected, generates a warning when the listening mode of one or more ports of the primary application is not the same as the corresponding port or ports of the backup application.
Host certificate assignment
 | When selected, generates a warning when you attempt to remove a specific application certificate and replace it with a host certificate. This warning is related to the Application Certificate Assignment warning.
Cost Contract assignment
 | When selected, generates a warning when you attempt to modify the value in the Cost Contract field of an Agent or Place object.
IT Contract assignment
 | When selected, generates a warning when you attempt to modify the value in the IT Contract field in the Objective Table record of the Cost Contract object.
Agent Groups assignment
 | When selected, generates a warning when no Agent Group is selected for an Agent (when the Member of List is empty in the Agent Properties dialog box).
Connection assignment
 | When selected, generates a warning when an incorrect configuration is detected in connection lists when comparing primary and backup servers.


configuration manager interface

Tools Menu

You can access these commands from the Tools menu:

Find

Searches for an item in the Configuration Database based on the available selection criteria.

Read-only Mode

Switches the entire Configuration Layer to the Read-only mode.

Reload Server Schema

Reloads the Configuration Server Schema.

Use this command after you have successfully installed a new version of the Configuration Server Schema. The operation is permitted only when you are logged in under the Master account.

A dialog asks for your approval to disconnect all clients before proceeding. Success disconnects you and displays the message: "Connection to the Configuration Server lost" and offers to reconnect.

Note: Genesys advises you to temporarily stop the backup Configuration Server before starting this operation, to prevent clients from reconnecting to it. Restart the backup Configuration Server after the successful completion of this operation.

Configuration Import Wizard

Runs the Configuration Import Wizard (CIW), a tool that you can use to automatically import Lightweight Directory Access Protocol (LDAP) agent data and switch configuration data into the Genesys Configuration Database. The Wizard capabilities include import and export of large quantities of configuration data to and from Extensible Markup Language (XML) files.

For additional information about the Configuration Import Wizard, see the Framework 7.6 Imported Configuration Data Formats Reference Manual.


configuration manager interface

Help Menu

You can access these commands from the Help menu:

Help Topics | Opens the online Help file.
Error Messages | Opens the file Configuration Layer Error Messages Help.
About Configuration Manager | Displays the copyright and version information about Configuration Manager.


configuration manager interface

Toolbar

The toolbar, a set of control buttons that appears at the top of the main window, provides access to common commands. Some of these commands are described below. Most buttons operate in the same way that toolbar buttons in standard Windows applications operate.

Up

Displays the parent of the current list.

Cut

Removes the selected item from the current list and places it on Configuration Manager’s clipboard.

Copy

Copies the selected item and places it on Configuration Manager’s clipboard.

Paste

Pastes the item from Configuration Manager’s clipboard to the active Configuration Manager window.

Delete

Removes the selected item from the database. A deleted item does not go to the clipboard.

Properties

Gives you access to information about the selected item. The Properties dialog box shows more detail than either the List view or Details pane and allows you to add or change some types of information.

Use the arrow next to the Properties icon to view the drop-down list of the currently open object's (one or more) Properties dialog boxes and switch to any one of them.

New

Adds a new item to the database. Click the down arrow to the right of the icon to display a drop-down menu, which changes to reflect the type of the object selected in the Tree view. For example, the menu may say New Agent, New Switch, New Application, or New Tenant.

Views

Allows you to toggle between different views in the right pane.

Filters

Allows you to scan the list that appears in the right pane, which shows only the items that you selected according to the available selection criteria.

  • To select all items in the right pane, click Select All in the Filter dialog box.

  • To clear out all current selection criteria in the right pane, click Clear All.

  • To invert the current selection criteria, click Invert.

Note: The Filter command button is not displayed for objects of some types.

Find

Searches for an item in the Configuration Database based on the available selection criteria.


configuration manager interface

Find command

Use the Find command in the Tools menu to find an item in the Configuration Database based on the available selection criteria.

  • If you know the name of the object, specify the Name and Type text boxes to complete the search. You can use wildcard characters in the Name text box: ? for a single character or * for multiple characters.

Note: Beginning with release 7.2, this function can be case-insensitive. Select the Options... command from the View menu, and enable the item at the bottom of the Options dialog, Case insensitive options find.

More often, you would use the Find command to search for objects that satisfy some criteria (for example, applications that have connections to the same server). In this case, use the Type text box to enter the type of objects and to specify any combination of criteria specific to that object type in the text boxes under the Advanced tab.

  • If you click the Find Now button, the results of the search appear as a list in the bottom dialog box.

  • If you double-click any list item, you get complete information about that particular object.

  • Depending on the object type, you can select some or all of the objects in the list and copy and paste (or drag and drop) them to other locations in Configuration Manager.

For example, you have just created an Agent Group that will include all agents with a specific skill. To find agents with that skill, select Person from the Type drop-down menu. In the Person Type text box of the Advanced tab, select Agents. In the Skill text box, select the desired Skill from the Browse dialog box. Select all agents on the list and then:

  • Either select Copy, go back to the main Configuration Manager window and the List view of the new Agent Group, and then click Paste.

  • Or hold down the CTRL key on the keyboard, drag the selected Persons from the list of found objects, and then drop them onto the Access Group icon.


configuration manager interface

Filter Expression Box

Use the Filter expression box to display items in the current List view based on the your selection criteria. Filter Expression box(es) do not appear for other types of views. The filtering function improves interface usability when a folder contains a large number of configuration objects of the same type.

To display Filter Expression box(es) at the top of the List view:

  • Select Details from the View menu.

Filter Expression box(es) do not appear for other types of views.

Use the Filter expression box to display items in the current view based on the your selection criteria you specify. The filtering function improves interface usability when a folder contains a large number of configuration objects of the same type.

Filter expressions can contain a string of characters, which you can also precede with the not equal (!) symbol. For example:

  1. If you specify tser in a filter expression box of the Applications List view, the view displays only those applications whose name begins with "tser" either in upper- or lowercase, such as TServer_Primary and TServer_Backup.

  2. If you specify !tser in a filter expression box of the Applications List view, the view displays all applications except those whose name begins with "tser" either in upper- or lowercase. That is, applications named TServer_Primary and TServer_Backup would not show up in the List view.

When you specify filter expressions for more than one column in the List view, Configuration Manager combines the expressions using the logical AND (&) operator. That is, Configuration Manager displays objects based on the combination of all specified filters.

Note: Click the Filter icon next to the Filter expression box to update objects in the List view after configuration objects are added to or removed from the Configuration Database.


configuration manager interface

Refresh Function

Use the Refresh function (F5 key) to update the content of the Tree view and the List view. The refresh function is useful when a number of users are making updates to the Configuration Database.

Note: The Refresh function also updates the content of the Agent Login's Browse window. See Agent Login Properties.


configuration manager interface

Read-only Mode

If you log in through the Master Account, you see the Read-only mode menu item enabled in the Tools menu. Selecting this item switches the entire Configuration Layer to Read-only mode. This mode may be helpful for making sure that the Configuration Database stays intact while maintenance on other parts of the CTI (computer-telephony integration) installation takes place, or while Genesys Technical Support is analyzing a problem with the current configuration.

When the Read-only mode is enabled, no users, regardless of their access levels, are able to make changes to the Configuration Database. Configuration Server notifies all users working in the Configuration Layer that the Read-only mode is activated, and Configuration Manager displays the Read-only status on the status bar.

When the Configuration Layer is in Read-only mode, Configuration Manager users attempting to make changes receive an appropriate error message.

While the client application that has switched the Configuration Layer to the Read-only mode is connected to Configuration Server, switching back to normal operation mode can only be done through the same client.

  • If the client application disconnects, the Configuration Layer switches back to normal operation mode.

  • If the client application terminates abnormally, or if the host computer shuts down or disconnects from the network:

  1. Run another instance of Configuration Manager.

  2. Log on through the Master Account.

  3. Turn the system back to normal operation mode.


configuration manager interface

Properties Dialog Box

Properties dialog boxes appear for most items in the Configuration Manager window. These dialog boxes allow you to view detailed information about items and to add or change many types of information in the text boxes.

Many of the Properties dialog boxes in Configuration Manager provide drop-down menus so you can select values from a predefined range. For some objects, drop-down menus contain the recent history of changes that were made to the related property.

To see if a particular drop-down menu has any items:

  • Click the down arrow to the right of the property.

  • If no drop-down menu appears, or if the menu that appears is empty, type text directly in the text box.

To associate the object you are currently editing with another object in the database:

  1. Click the Browse button.

  2. Select the item you want in the dialog box that appears.


configuration manager interface

Interface Variations with Genesys Express

Genesys Express release 3.0 and greater may impose certain restrictions to user permissions with respect to object data-properties and/or operations. Therefore, if you are using Configuration Manager as a part of Genesys Express, the Configuration Manager GUI on your screen may differ slightly from the GUI described in this Help system.

Some property fields, such as Name or Type, may be inactive or invisible for the following configuration objects:

  • Applications

  • Hosts

  • Solutions

  • Switching Offices

  • Switches

Some operations, such as create or delete, may be prohibited for the following configuration objects:

  • Applications

  • Switches

For more information, refer to the documentation for Genesys Express 3.0 or greater.


Working with objects

Working with Objects Overview

This section describes common object properties and access control for Configuration Database objects. See Configuration Database Objects Overview to read about Configuration Database objects, their properties, specification, and usage.

This section also includes the following basic Configuration Database object operations:

  • Adding objects

  • Changing object information

  • Creating configuration units and sites

  • Deleting objects

You can also:

  • Delete objects using the wizards.

  • Modify object configuration using the wizards.

  • Modify certain parameters for a set of objects using Multiple Objects Update Wizards.

  • Export data from or import data to the Annex tab.

  • Export data from or import data to the Options tab (for Applications and Application Templates only).


Working with objects

Adding Objects

To add an object to the Configuration Database:

  1. Select the object type in the Item Tree.

  2. Select New from the File menu or right-click and select New from the shortcut menu.

  3. Select the type of object you need to add.

  4. In the Properties dialog box that appears, enter a Name for the object and fill in the information that is needed to define the object.

To add a new object of the same type with the same properties:

  1. Begin by selecting an existing object as a starting point.

  2. Open the object's Properties dialog box.

  3. Click Make New. You are now working on a new object of the same type, with properties that are identical to the one you selected.

  4. Modify all properties that will make this new object unique. For example: if the object is a person, then the fields Employee ID, User Name, and External User ID must be unique.

  5. Modify any other properties that your purpose requires.

  6. Click OK to save the new object.

Configuration Database stores the last specified object, but its Properties dialog box remains on the screen so that you can specify the next object in the series by modifying the values as needed.

Adding Ranges of Objects

Some objects are identified by numbers instead of names. You can add these objects in ranges, as long as the objects in a range have consecutive numbering and similar properties settings. When you select New from the File menu for such objects, you have a choice to add a single object or a range.

If adding a range from a menu, specify the following:

  • The number for the first object in the range.

  • The number of objects to be included in the range.

  • The number of digits in each object's number.

Required Permissions

To create an object under a particular folder, you must have Create permission with respect to that folder.

The person who creates an object receives Full Control permissions with respect to that object. Other accounts have the same access privileges with regard to a newly-created object as they do to the folder in which the object is created.


Working with objects

Modifying Objects

You can modify most of the properties you have configured for an object any time after you create the objects. You must have Change permission with respect to that object. You can modify:

  • Most properties for a particular object. See Changing Single Objects.

  • Certain properties for a set of objects of the same type. See Changing Multiple Objects.

Changing Single Objects

To change information about an existing object:

  1. Select the object.

  2. Open its Properties dialog box. You can change most property settings for that object from its Properties dialog box.

Some of the properties may not be available in a Properties dialog box; therefore, either you cannot change them after they are specified, or you can only change them elsewhere in the environment.

For more information, refer to specific object descriptions in the sections that follow.

With the exception of the State Enabled check box, changing the properties of one object does not cause modifications to other objects.

After making changes to object properties:

  • Click the Apply button to save configuration changes.

  • Click the OK button to save configuration changes and close the object's Properties dialog box.

Note: You can also use the Wizard Shortcuts Menu to change information for objects of some types.

Changing Multiple Objects

You can use Multiple Objects Update Wizards to change certain settings for more than one object at a time. The object type determines what types of properties are available for updates on multiple objects.

In particular, you can modify:

  • Option names and values on the Annex tab for all objects and on the Options tab for Applications.

  • Servers to connect to and connection parameters on the Connections tab for Applications.

  • Assigned skills and their levels on the Agent Info tab for Persons.

  • Switches to connect to and access code parameters on the Access Codes tab for Switches.

To change information about a set of objects:

  1. Select two or more objects of the same type.

  2. Right-click the selected objects to display the shortcut menu. Depending on the object's type, you can access one or more of the following commands from the shortcut menu:

    • Manage Options

    • Manage Connections

    • Manage Skills

    • Manage Access Codes

  3. Select an appropriate command to start a certain wizard.

  4. Follow wizard instructions. For more information, refer to specific object descriptions in the sections that follow.

During the update procedure, you can add objects to or remove them from those you initially selected. After the procedure, the wizard reports in the update results which objects it modified and how.

Read more about modifying multiple objects here: Annex Tab and Options Tab.


Working with objects

Deleting Objects

To delete a particular object, you must have Delete permission with respect to that object. To delete an object from the Configuration Database:

  1. Select the object from the list in the right pane of the Configuration Manager main window.

  2. Click Delete.

Note: You can also use the Wizard Shortcuts Menu to delete objects of some types.


Working with objects > Assigning Security Certificates

Assigning Security Certificates overview

Starting in release 7.5, Genesys supports the optional use of the Transport Layer Security (TLS) protocol to secure data exchange between Genesys components. The TLS protocol is implemented using security certificates, which must be configured in the Host objects and the Application objects representing these components.

Note: Before configuring secure data exchange, make sure that certificates are installed on the host computers on which the Genesys components run, and that the certificate information is available to you.

Security certificates are assigned at the Host level, and optionally at the Application and Port levels. The Host certificate is used by Applications and Ports by default, unless the Applications and Ports specify their own certificates. In this case, those specific certificates override the default Host certificate.

Assigning a security certificate to a Host

To assign a security certificate to a Host:

  1. Open the Properties dialog box of the applicable Host.

  2. Select the General tab.

  3. In the Default Certificate section, enter the certificate information. This certificate will also be used by default for all Applications and Ports, unless another certificate is specified.

Assigning a security certificate to an Application

To assign a security certificate to an Application:

  1. Open the Properties dialog box of the applicable Application.

  2. Select the Server Info tab.

  3. In the Certificate section, do one of the following:

    • To assign the default Host certificate, select Host.

    • To assign another certificate, select Application and click the browse button. Enter the certificate information in the Certificate tab. Then click OK.

Note: If the Certificate section is not visible on the Server info tab, select View > Options in the main Configuration Manager window, and select Show advanced security information.

Assigning a security certificate to a Port

To assign a security certificate to a Port of an application:

  1. Open the Properties dialog box of the applicable Application.

  2. Select the Server Info tab.

  3. Select the applicable Port in the Ports section and click Edit.

  4. Select the Secured option under Listening Mode.

  5. Enter the certificate information in the Certificate tab.

  6. Click OK.

This Port will now be listed in the Ports section of the Server Info tab as a secure port.

For more information about deploying TLS, refer to Genesys 7.6 Security Deployment Guide.


Working with objects > Assigning Security Certificates

Certificate Tab

This tab appears only if the option Show Advanced security information is selected in View > Options > General tab.

This tab displays the properties of the security certificate used by the application or port. If you want to use a different certificate, refer to Assigning Security Certificates Overview for instructions on assigning the new certificate.


Security: Advanced Tab

Working with objects > Assigning Security Certificates

Advanced Tab

This tab appears for all Port certificates, and only for Application certificates if the option Show Advanced security information is selected in the View > Options > General tab.

This tab displays information about the security certificate used by the application or port.

Refer to Genesys 7.6 Security Deployment Guide for more information about security certificates.


Security Certificate Properties

Working with objects > Assigning Security Certificates

Properties of Security Certificates

Security certificates have the following properties:

Certificate | The security certificate value. In Windows, select the certificate value from the list of installed certificates. In UNIX, enter the full path to the <serial_#>_<host_name>_cert.pem file.
Description | An optional description of the security certificate.
Certificate Key | The full path to the <serial_#>_<host_name>_priv_key.pem file of the security certificate key. This field is used only if Genesys Security is deployed on UNIX; otherwise this field is empty.
Trusted CA | The full path to the ca_cert.pem file of the CA that issued the default security certificate. This field is used only if Genesys Security is deployed on UNIX; otherwise this field is empty.

Refer to Genesys 7.6 Security Deployment Guide for more information about deploying Genesys TLS Security.


Working with objects > Configuration UNiTS/Sites

Configuration Units/Sites overview

A Configuration Unit groups configuration objects of various types for business, geographical, and other reasons. You may find permission management more convenient on the Configuration Unit level than on the individual object level. And you may also find it more convenient to manage permissions using the Configuration Unit level rather than the individual object level.

The main difference between Folders and Configuration Units is that:

  • Within a folder, you can only create objects of the type that match the Folder type (for example, Persons).

  • Within a Configuration Unit, you can create folders of various types, with appropriate objects within these folders and, thus, organize objects of these types into one entity.

A Site is a special type of Configuration Unit used in Cost-Based Routing to build and represent infrastructure cost tables. For more information, refer to the Universal Routing 7.6 Routing Solutions Guide.


Working with objects > Configuration UNITS/SITES

Creating Configuration Units

To create a new Configuration Unit in the Configuration Database:

  1. Select a Tenant or existing Configuration Unit in the Tree view.

  2. Right-click and select New from the shortcut menu.

  3. Select Configuration Unit.

  4. In the Properties dialog box that appears, enter a Name for the Configuration Unit and fill in the information to define it.

To create a subordinate Configuration Unit or a Folder of a specific type:

  1. Select an existing Configuration Unit.

  2. Right-click and select New.

  3. Select Configuration Unit or the type of another Folder that you want to create.


Working with objects > Configuration Units/Sites

Creating Sites

A Site represents the infrastructure cost table used in Cost-Based Routing.

To add a new Site:

  1. Select a Tenant or existing Configuration Unit in the Tree view.

  2. Right-click and select New from the shortcut menu.

  3. Select Site.

  4. Enter the required information in the appropriate property tabs.

To create an subordinate Site or a Folder of a specific type:

  1. Select an existing Site.

  2. Right-click and select New.

  3. Select Site or the type of another Folder that you want to create.

  4. Enter the required information in the appropriate property tabs.

Property Tabs

General tab properties:

Name | The name of this Site. You must specify a value for this property, and that value must be unique within the Configuration Database (in a single-tenant environment) or within the Tenant (in a multi-tenant environment).
Number of Objects in <Name> | The number of Configuration objects in this Site.
Object Type | The type, which defaults to Site.
Description | An optional description for this Site.
Custom Type | An optional user-defined classification of the object.

Advanced tab properties:

Time zone | The time zone associated with this Site.
Cost Contract | The cost contract associated with this Site. This cost contract will be used if there is no cost contract associated with an underlying site.
Infrastructure Transfer Costs | A list of sites to which interactions at this Site can be routed, and the associated transfer costs.

Transfer Cost Property Page tab properties:

Site | The name of a Site to which interactions can be routed.
Transfer cost | The cost, in Cost Units, to route an interaction to this site.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information about Sites and Cost-Based Routing.


Common Properties Overview

Working with objects > Common Object Properties

Common Object Properties Overview

The Properties dialog box for all objects contains these common object properties:

  • Name property

  • State Enabled check box

  • Annex tab (is not displayed by default)

  • Security tab

  • Dependency tab

In addition, the following properties are common to the specified object types:

  • Number of Objects property - Folders, Configuration Units, and Sites

  • Custom Type property - Folders, Configuration Units, and Sites

  • Wizard shortcut menu - those objects for which the appropriate Wizard is installed and registered with Wizard Manager


Working with objects > Common Object Properties

Name Property

Names uniquely identify objects within a certain range. Therefore, the Name, which can be up to 255 bytes, is a required parameter for objects of most types.

The exceptions are:

  • DNs and Agent Logins—their unique numbers and codes identify them within a Switch.

  • IVR ports—their unique port numbers identify them within an IVR.

The way you name objects in the Configuration Database is important. Consistent and sensible naming conventions make the database easier to understand and faster to browse, leading to a more maintainable and usable configuration.

Note: While the Configuration Layer supports the full character set in defining object names, using certain characters can cause problems in the behavior of other Genesys applications. Avoid spaces, dashes, periods, or special characters in object names. Consider using underscores where you might normally use spaces or dashes.

You must set the names for objects of some types in accordance with the way the entities such objects represent are named elsewhere in an environment. For example, you must set names of Hosts in accordance with the names given to the computers they represent in a data network environment.


Working with objects > Common Object Properties

State Enabled Check Box

The State Enabled check box appears in the general properties dialog box of every object. When selected, it indicates that an entity represented by an object is in regular operating condition and can be used without any restrictions.

When this check box is not selected, only objects representing targets in customer interaction algorithms are affected. This means that customer interactions cannot be directed to this target, even if the real-time status information received through the CTI interface indicates that this target is ready to accept customer interactions.

Disabling a folder or an object that is a parent to other objects also disables all objects within the folder or all child objects of that parent object.

For example:

  • If you disable a Switch, all DNs and Agent Logins defined within this Switch are automatically disabled.

  • If you disable an Agent Group folder, all Agent Groups configured within this folder are automatically disabled.

  • However, if you disable a group of objects (for example, an Agent Group), the individual members of this group (in this example, Agents) remain enabled.


Working with objects > Common Object Properties

Annex Tab

To display the Annex tab:

  1. Select the Options command from the View menu.

  2. Select the Show Annex tab in the object properties check box.

Annex is an additional data structure that you can use to quickly introduce additional information properties for any object. Annex describes such properties as simple text options arranged in sections, where each section typically relates to the product that uses this set of properties.

You can find information about when and how to add and change information in Annexes in the configuration sections of application-specific manuals.

Note: The Configuration Layer stores Annex options and generates notifications about option changes as if they were regular object properties. However, it does not verify the logical correctness of data that is entered in the Annex. Application-specific manuals describe any integrity rules that apply to Annex information; these integrity rules are considered user-controlled rules.

Although it is possible to use the Annex structure to store any kind of additional information about configuration objects, Genesys recommends that you use Annex options only as directed in application-specific manuals.

Warning! Additional information items with values exceeding 256 bytes, when they are attached to the configuration data, might result in longer startup and processing times in the Configuration Layer and may also affect performance of the real-time parts of the CTI installation.

You can modify (that is, create, change, or delete) contents of the Annex tab for a particular object or for a set of objects of the same type.

Modifying Annex Tab Content for Single Objects

To add a section:

  1. Open the object's Properties dialog box and select the Annex tab.

  2. Right-click and select New from the shortcut menu.

  3. Enter a Section Name in the text box that appears.

To add an option:

  1. Open the object's Properties dialog box and select the Annex tab.

  2. Double-click the name of the section where the option should be added.

  3. Right-click and select New from the shortcut menu.

  4. Enter an Option Name and Option Value in the text boxes that appear.

Once a section or an option exists, you can always delete it or change its name or value.

Modifying Annex Tab Content for Multiple Objects

To add, change, or remove Annex information for a set of objects:

  1. Select two or more objects of the same type.

  2. Right-click the selected objects to display the shortcut menu.

  3. Select Manage Options from the shortcut menu, to open the Manage Objects Update Wizard.

This wizard displays tabs at the top of its window. Use them in this way:

  • Select tab - Add or remove selected objects from the list.

  • Edit tab, Delete tab, Add tab - Modify the Options tab or Annex tab items of the selected objects.

  • Preview tab - Execute or Cancel the modifications.

Notes:

  • There are too many possible items to list in the wizard window below the Edit, Delete, and Add tabs. Click on the Modify Options or Modify Annex button at the bottom of the window, to open a dialog box where you can make the changes.

  • Be prepared to specify the exact names of the section and the options that you want to add or change, along with their new values.

  • The Section Name and Option Name must be exactly the same in all applications that you are changing. Be very careful that you enter these common names correctly. You must also specify a single new value for all the common variables.

  4. If necessary, specify the exact names of the options that you want to remove from the Applications configurations.

  5. When finished, click Execute at the Preview tab to apply the changes.

See Changing Multiple Objects for more details.

Export and Import Commands

You can export data that is configured on the Annex tab into a text file with the *.arch, *.cfg, or *.conf extension or import data from files of these types to the object configuration. Use a file with the *.arch extension when working with binary or integer data or with mixed data (binary, integer, and string).

  • To export the Annex data into a text file, use the Export button on the Annex tab toolbar.

  • To load data from a configuration file, use the Import button on the Annex tab toolbar.


The Security Tab

Working with objects > Common Object Properties > Security Tab

Security Tab Overview

This tab controls the way in which applications, access groups, and individuals registered in the Configuration Database access an object.

For most types of objects, the Security tab contains only the Permissions button, which displays another dialog box containing the list of groups and individuals that have access permissions to the selected object.

You can change the access control list of an object by using the Add and Remove buttons.

When the Add dialog box appears, Configuration Manager initially shows a list of accounts that only includes the Access Groups.

To add individual accounts to this list of accounts:

  • Click the Show Users button.

To set the level of access for the selected list item:

  • Choose the corresponding combination of permissions from the Type of Access drop-down menu. Elementary permissions are defined under the Special Access item of that menu.

Note: The Security tab in the Properties dialog box of daemon Applications also contains a Log On As section, which you can use to associate those applications with a particular user account.

When you set permissions for folders or objects that are parents to other objects, the Object Permission dialog box also displays the Replace Permissions Recursively check box.

See also:

  • Enterprise Default Access Groups.

  • Multi-Tenant Default Access Groups.


Working with objects > Common Object Properties > Security Tab

Access Control

The Configuration Layer provides sophisticated access control over the way the configuration data is used and managed. This helps prevent accidental or unauthorized changes to key data and configuration information.

When a user starts Configuration Manager, Configuration Server validates the entered password and opens a session with the Configuration Manager client. Configuration Server provides access to objects during that session based on the privileges set for the account the user used to log in.

The Configuration Layer provides some default access-control settings that are designed to satisfy the needs of an average-size contact center. The default settings apply to every object that is added to the Configuration Database and are managed through a number of default access groups.

Starting with release 7.6, persons who are added to the configuration do not automatically become members of a default access group. By default, a new person must be explicitly granted access privileges by an administrator or other authorized user, either through direct assignment of privileges, or through assignment to one or more access groups. Until that occurs, the new user has no access privileges, and cannot log in. If required, this feature can be disabled using the no-default-access configuration option, and new users will be subject to the same rules as existed prior to release 7.6 (every new agent was added automatically to the default access group Users, and every new non-agent was added automatically to the default access group Administrators). Refer to the chapter "No Default Access for New Users" in the Genesys 7.6 Security Deployment Guide for detailed information about this feature and how to use it.

The configuration database administrator can always change default access settings in accordance with the needs of the organization.


Type of Access

Working with objects > Common Object Properties > Security Tab

Type of Access Menu

The most common combinations of permissions appear in the Type of Access drop-down menu on the Object Permissions dialog box.

Permissions have the following meanings:

No Access

No permissions with respect to this object. This type of access takes priority over other permissions set for the object. An account does not have access to the object when No Access is set for:

  • This object.

  • Folder in which this object is located.

  • Parent object.

Read

Permission to read information and receive updates about this object.

Change

Combination of elementary permissions Read, Change, Execute, and Delete.

Full Control

All permissions with respect to this object.

Special Access

A customized combination of elementary permissions.

To display an Object Permissions dialog box:

  1. Open the Properties dialog box for a particular object.

  2. Click the Security tab.

  3. Click the Permissions button.


Special Access

Working with objects > Common Object Properties > Security Tab

Special Access Permissions

Use the Special Access to define any combination of permissions for an individual or an Access Group.

Elementary permissions include:

Read | Permission to read information and receive updates about this object.
Create | Permission to create objects under this folder (takes effect only when specified on the Security tab of a folder).
Change | Permission to change properties of this object.
Execute | Permission to perform a predefined action or set of actions with respect to this object—applies only to Applications and enables the selected individual(s) to start this Application in the normal operation mode.
Delete | Permission to delete this object.
Read Permissions | Permission to read the access control settings for this object.
Change Permissions | Permission to change the access control settings for this object.
Read & Execute | Permission to read information and receive updates about this object. Permission to perform a predefined action or set of actions with respect to this object.
Replace Permissions Recursively | If selected, applies permissions defined for a folder to all objects within the folder or permissions defined for a parent object to all child objects. Permissions previously defined for the objects within the folder or for child objects are discarded.
Propagate | If selected, the access rights set for this account or access group with respect to either a parent object or a folder are propagated to all child objects or to all objects located within the folder. When permissions are propagated, the account or access group has a combined set of access rights with respect to an object. The access rights are inherited from the parent object, from the folder(s) in which this object is located, and from the object itself.

To display a Special Access dialog box:

  1. Open the Properties dialog box for a particular object.

  2. Click the Security tab.

  3. Click the Permissions button.

  4. In the Object Permissions dialog box that opens, select Special Access from the Type of Access drop-down menu.


Working with objects > Common Object Properties > Security Tab

Object Permissions

You can change the access control list of an object by using the Add and Remove buttons.

You can set the level of access for the selected list item by choosing the corresponding combination of permissions from the Type of Access drop-down menu.

When you set permissions for folders or objects that are parents to other objects, the Object Permission dialog box displays Propagate check boxes for every access entry. If you select this box while when you define permissions for a folder or parent object, these permissions are automatically propagated for all objects within that folder or for child objects of that parent object.

Genesys recommends that you use the permissions propagation mechanism.

When you set permissions for folders or objects that are parents to other objects, the Object Permission dialog box also displays a Replace Permissions Recursively check box. If you select this box when you define permissions for a folder or parent object, the same permissions are automatically set for all objects within that folder or for child objects of that parent object.

The major difference between the permission propagation and the recursive permission change is that in the first case the permissions defined for the child object stay intact while the permissions defined for the parent object are added to the child object’s permissions; in the second case, the permissions defined for the parent object replace the permissions defined for all child objects.

Note: When you set permissions or change them recursively, Configuration Server updates an access control list of every single object defined within the folder whose permissions are being set. Therefore, this transaction may take a significant amount of time compared to any other type of Configuration Layer transaction. Even so, this process does not affect the operation of other parts of the CTI installation.

Inherited Permissions vs. Intrinsic Permissions

When an object derives a permission from its parent object, this permission is called inherited. Most objects have inherited permissions.

When an object generates a unique permission, this permission is called intrinsic. Examples of objects with intrinsic permissions are:

  • Tenants

  • Default Folders (with no parent folder)

  • Predefined objects (created by initialization scripts)

Intrinsic permissions may be different from parent permissions.

A Quick Summary of Object Permissions Rules

A child object's rights are actively linked to its parent object's rights, and controlled by the status of the parent object's propagate switch for each right.

This parent object does not propagate the SpecialAccess(RX) right to its child objects.

For Each Inherited Permission:

  • If the Parent object's propagate flag is ON, then the Child object has this permission.

  • If the Parent object's propagate flag is OFF, then the Child object does not have this permission.

  • The Recursive switch has no effect.

For Each Intrinsic Permission:

  • If the Parent object's propagate flag is ON, then the Child object has this permission.

  • If the Parent object's propagate flag is OFF, then the Child object may have this permission anyway, but only if the permission is intrinsic. Otherwise, the Child object does not have this permission.

  • If the Recursive switch is ON, then the Child object's permissions are converted to "inherited" rules.


Working with objects > Common Object Properties > Security Tab

Special Accounts

The Configuration Layer comes preconfigured with the following accounts:

Master Account

The Master Account always exists in the system and has Full Control permissions with respect to all objects in the Configuration Database. You must use this account when you log in to the Configuration Layer for the first time after the Configuration Database initialization. Genesys recommends that you change the default name and password of the Master Account, storing them securely, and use this account only for emergency purposes.

During one of the first working sessions, create nonagent accounts for everyone who needs full access to all objects, then move these accounts from the Administrators to the Super Administrators group. By default, every member of the Super Administrators group has the same permissions as the Master Account, except that the members of the Super Administrators access group have no permissions with respect to the predefined Configuration Server Application named confserv.

EVERYONE Account

Think of the EVERYONE account as an Access Group that includes every Person registered in the Configuration Database. You cannot delete or modify this account, which, by default, has Read and Execute permissions set recursively for Applications, Application Templates, Hosts, and Switching Offices folders that are found under the Environment. Therefore, everyone registered as a Person object can read information about all objects that are found under these folders and can start any Application.

SYSTEM Account

By default, every daemon Application is associated with a special account called SYSTEM, which has Read and Execute permissions with respect to all objects in the Configuration Database except Access Groups.

To associate a daemon Application with another account:

  1. Click its Security tab.

  2. Choose This Account.

  3. Select a Person whose access privileges match the ones required for this Application.


Working with objects > Common Object Properties

Dependency Tab

You cannot delete an object if it has dependencies with other objects. Beginning with release 7.1, you can easily check to see if an object has dependencies.

To see if an object has dependencies:

  1. Double-click the object in the List View, to open its Properties dialog box.

  2. Click the Dependency tab, and then click the Dependency button.

If this object has dependencies with other objects, these dependencies are listed.

How dependencies are created and how they are removed varies, depending upon the objects involved.


Working with objects > Common Object Properties

Number of Objects Property

The Number of Objects property is a read-only field displaying the number of objects - Folders, Configuration Objects, and Sites - that are contained in, or subordinate to, the given object.

Note: This field applies to all Folder objects, including Configuration Units and Sites. It does not apply to any other object.


Working with objects > Common Object Properties

Custom Type Property

The Custom Type Property is an optional user-defined classification of the object. Use this property to logically classify the object into a classification scheme that is not available in, or used with, Configuration Manager.

Note: This field applies to all Folder objects, including Configuration Units and Sites. It does not apply to any other object. Configuration Manager and Configuration Server do not use this field.


Working with objects > Common Object Properties

Wizard Shortcut Menu

Use the Wizard shortcut menu as an alternate way to:

  • Configure an object.

  • Uninstall an object and all related links from the Configuration Database.

To use the Wizard shortcut menu, right-click on the object and select Wizard from the menu that appears.

The Wizard Shortcut menu appears only if:

  1. Wizard Manager is installed on the same computer as Configuration Manager.

  2. The wizard for the specific type of a Configuration Database object is registered in Wizard Manager.

The shortcut menu contains the following options:

Configure | Modify the properties of the object.
Delete | Remove an object and all related links from the Configuration Database.
New | Create a new object or folder. This option appears only if a new instance of that object can be created in Configuration Manager, and if you have the authorization to create a new instance of the object.

To modify the configuration of an Application object:

  1. Right-click the Application object.

  2. Select Wizard.

  3. Select Configure to modify the object settings.

  4. From the Application Properties window that the Wizard opens:

    • Select Run Log Wizard to configure log options.

    • Select Upgrade to upgrade the Application.


Database Objects Overview

configuration database objects

Configuration Database Objects Overview

This section provides descriptions of Configuration Database objects and their properties and explains the rules regarding their specification and usage.

Unless a description expressly states that a value is required, specifying properties is optional.

Object structure presented in Configuration Manager depends on the type of Genesys configuration environment that you have. Depending on your environment, see:

  • Enterprise configuration object model.

  • Multi-tenant configuration object model.

Note: Because most objects in the Configuration Database mirror physical objects in your contact center (for example, switches, agents, installed applications), this Help file uses an initial capital for the Configuration Database objects. For example, the word switch is written in lowercase when it refers to a physical switch in your contact center but is capitalized when it refers to the configuration object that mirrors your physical switch. Similarly, the word application is written in lowercase when it refers to a physical installation in your contact center but is capitalized when it refers to the configuration object that mirrors the installed program.

Customized Hierarchy

In either configuration environment, you can manually create subfolders with an unlimited level of hierarchy within the predefined folders. A predefined folder determines the type of objects that you can create in subfolders.

The subfolders are visible on GUI applications only and are transparent for non-GUI applications. Non-GUI applications read configuration information about all objects as if the objects were located under predefined folders.

Subfolders are intended to:

  • Increase usability of GUI applications, making it easier for you to see and manage a number of smaller groups instead of one larger group.

  • Simplify the process of assigning access permissions for a group of objects.

You cannot, however, create a new subfolder if a subfolder with the same name exists at a lower hierarchical layer.

See also Configuration Units.


configuration database objects

Enterprise Object Model

In an enterprise environment, the types of objects in the Configuration Database fall into two major categories:

  • Environment folder contains the most stable elements of the contact center. These elements provide the technical foundation for setting up the customer interaction network.

  • Resources folder contains other elements that may require more frequent reconfiguration.


configuration database objects

Multi-Tenant Object Model

In a multi-tenant environment, Configuration Manager keeps configuration objects in folders arranged under the businesses to which they belong or are allocated:

  • Environment folder contains the resources that your service provider manages.

It contains folders for registration of the entities that provide the technical foundation for setting up the CTI services, such as switching offices, data network hosts, and CTI applications.

It registers the types of resources that are typically attributed to the tenants in the Environment folder.

These folders contain resources that may be shared by some or all of the tenants.

  • Tenants folder contains all the folders necessary to support resource allocation and configuration data entry for this tenant.

In a multi-tenant environment, when you run Configuration Manager for the first time after the Configuration Database initialization, you can only view the Environment folder of the configuration.

When you register a new Tenant in the Configuration Database, the Configuration Layer automatically creates all the folders necessary to support resource allocation and configuration data entry for this tenant.


configuration database objects > environment

Environment Overview

The Environment folder contains the following Configuration Database objects:

Alarm Conditions

Applications

Application Templates

Hosts

Solutions

Switching Offices

In a multi-tenant configuration environment, the Environment folder also contains the Configuration Database objects that are common to any Tenant folder:

Access Groups | Place Groups
Action Codes | Places
Agent Groups | Scripts
Business Attributes | Skills
Calling Lists | Statistical Days and Day Contracts
Campaigns | Statistical Tables and IT Contracts
DN Groups | Switches
Fields | Table Access
Filters | Time Zones
Formats | Transactions
IVRs | Treatments
Objective Tables | Voice Prompts
Persons |


configuration database objects > environment > alarm conditions

Alarm Conditions Overview

Alarm Conditions specify the events that you might want to know and manage as soon as they occur.

Note: Genesys strongly recommends that you use the Alarm Conditions Wizard to configure new Alarm Conditions. For more information, see the Solution Control Interface Help.


configuration database objects > environment > alarm conditions

General Tab

General tab properties:

Name

The name of the Alarm Condition. You must specify a value for this property, and that value must be unique within the Configuration Database.

Description

A brief description of the Alarm Condition.

Detect Script

The Script that describes the logic applied to detect the alarm. Reserved for future use.

Category

The category of the Alarm Condition: Critical, Major, or Minor. You must specify a value for this property.

Cancel Timeout

The period of time, in seconds, indicating for how long the Alarm Condition is registered in the Log Database unless another event cancels it or a user clears it. When this timeout expires, the Alarm Condition is unconditionally cleared.

State Enabled

Indicates whether the Alarm Condition is currently masked: clearing the check box masks the Alarm Condition. When you mask an Alarm Condition, Solution Control Server does not generate alarms that this Alarm Condition would normally trigger and does not execute alarm reactions that you have configured for the corresponding Alarm Condition.

Use alarm masking to avoid unnecessary notifications during major maintenance activities.

Note: You can mask all Alarm Conditions that are configured under a particular folder by selecting the folder and clearing the State Enabled check box in the folder's Properties dialog box.


configuration database objects > environment > alarm conditions

Detect Event Tab

This tab specifies the event that triggers the alarm.

Detect Event tab properties:

Log Event ID | The identifier of the event that triggers the alarm. You must specify a value for this property.
Selection Mode | The mode for event selection that the Management Layer uses for Alarm Condition analysis. When you set Any mode, the specified event from any Application results in an alarm.
Application Name | When you set Select by Application mode, the specified event from this particular Application results in an alarm.
Application Type | When you set Select by Application Type mode, the specified event from an application of this type results in an alarm.


configuration database objects > environment > alarm conditions

Cancel Event Tab

This tab specifies the event that triggers the removal of the alarm.

Cancel Event tab property:

Log Event ID

The identifier of the event that triggers removal of the alarm. For removal of the alarm, the Management Layer uses the event from the same Application(s) as specified for the detect event for this Alarm Condition.


configuration database objects > environment > alarm conditions

Reaction Scripts Tab

This tab displays a list of Scripts that define a particular action when an alarm based on this Alarm Condition is detected. You can specify only Scripts of the Alarm Reaction type.

Note: To create new Alarm Reaction Scripts, you must use the Alarm Reaction Wizard that is available in Solution Control Interface. For more information, see the Solution Control Interface Help.


configuration database objects > environment > alarm conditions

Clearance Scripts Tab

This tab displays a list of Scripts that define a particular action when an alarm based on this Alarm Condition is cleared. You can specify only Scripts of the Alarm Reaction type.

Note: To create new Alarm Reaction Scripts, you must use the Alarm Reaction Wizard available in Solution Control Interface. For more information, see the Solution Control Interface Help.


configuration database objects > environment > Applications

Applications Overview

Applications are the various Genesys software programs that serve the contact center. There are two types of Applications: GUI Applications and daemon Applications.

Most daemon applications are servers to other applications. To specify connection parameters for a daemon Application, use the Server Info tab properties.

Note: You must register each instance of a daemon application separately. Configuration Server does not allow two daemon applications with the same name to be connected at the same time. In contrast, one object in the Configuration Database can represent any number of GUI applications of the same type with the same configuration parameters.

When you register a new Application, a prompt requests that you select the Application Template on which the Application should be based.

Note: To start a particular application in normal operating mode, you must have Read and Execute permissions with respect to the corresponding Application configuration object.

Note: If you work with SOAP (Simple Object Access Protocol), you must configure a [soap] section in the Configuration Server configuration file before you start Configuration Server. You can find a sample Configuration Server configuration file in the Framework 7.6 Configuration Options Reference Manual.


Application: General Tab

configuration database objects > environment > Applications

General Tab

General tab properties:

Name | The name of the Application. You must specify a value for this property, and that value must be unique within the Configuration Database. Genesys does not recommend that you use symbols (including single and double quotes) in Application Names. Doing so may cause Applications to malfunction.
Template | The Application Template that this Application is based on. If you are creating the Application through Configuration Manager, this value is set automatically when you select the Application Template. If you are creating the Application through wizards, this property is left empty.
Type | The type of the Application. If you are creating the Application through Configuration Manager, this value is set automatically according to the selected Application Template. If you are creating the Application through wizards, wizards set this value.
Version | The version of the Application. If you are creating the Application through Configuration Manager, this value is set automatically according to the selected Application Template version. If you are creating the Application through wizards, wizards set this value.
Is Application Server | This check box is selected for all daemon Applications and cleared for all GUI Applications. It is set automatically based on the Application Type.


Application: Server Info Tab

configuration database objects > environment > Applications > Server info tab

Server Info Tab

This tab is only displayed for Applications that are servers to other Applications. It contains information that client Applications use to connect to this server.

Server Info tab properties:

Host

The host computer on which the application is running.

Ports

The port numbers that this application’s clients should use to connect to this server. You must specify at least one value for this property if you specify a Host.

Note: To support specific high-availability configurations, the Configuration Layer allows more than one server to be registered on the same port within the same host. Otherwise, do not assign the port number to any other server on the same Host. (Use the Find command to verify this.)

Certificate View

The security certificate used by this Application. Refer to Assigning Security Certificates for more information.

This section appears only if Show Advanced security information is selected in the View > Options menu.

Backup Server

The server that client applications contact if the connection to the primary server fails. You cannot associate one backup server with more than one primary server. You must use the same Application Template for the Backup Server that you use for the primary server and must associated the servers with the same user account.

Note: When you designate an Application as a backup server for another server, the Application's Connections, Tenants, and Switch (for T-Server applications) are automatically changed to match the corresponding values for the primary server. As long as this Application is associated with the primary server, its Connections are treated as read-only and are changed only when you apply changes to the Connections of the primary server.

Redundancy Type

The type of redundancy that this application is running with

Reconnect Timeout

The length of time, in seconds, which the client application waits between reconnect attempts after a connection failure with the server.

Reconnect Attempts

Number of attempts to reconnect to this server before trying to connect to the backup server. This value must be 1 or higher. This property makes sense only if you specify a Backup Server for this server.

Note: Setting this parameter to any value other than 1 may not take effect for some types of applications.


Application: Ports Overview

configuration database objects > environment > Applications > server info tab > Ports

Ports overview

Connection ports are the ports used by the clients of this application to connect to this server. The ports for a given application are listed on the Server Info tab of the Application Properties dialog box. From there, you can define a new port, modify an existing port, or delete a port.

Note: To support specific high-availability configurations, the Configuration Layer allows more than one server to be registered on the same port within the same host. Otherwise, do not assign the port number to any other server on the same Host. (Use the Find command to verify this.)


Application: Port Info Tab

configuration database objects > environment > Applications > server info tab > Ports

Port Info Tab

This tab identifies the properties of the port. An application can have more than one port.

Port Info tab properties:

Port ID

The identifier of the port.

Communication Port

The port associated with the specified Port ID.

Connection Protocol

The protocol used for the connection: default, SIP, or HTTP.

HA Sync

If selected, an HA backup server will use this port to establish a connection to the primary server.

Listening Mode

The listening mode configured for this port:

  • Unsecured - This port is not secured.

  • Secured - This port is secure.

  • Auto Detect (Upgrade) - This status applies only to ports on the Configuration Server, and is used only when configuring secure connections to the Configuration Server. When an application wishes to connect to an auto-detect port, an initial handshake occurs between the client and Configuration Server, during which Configuration Server passes to the client the parameters from the Configuration Database necessary to make this connection secure. After the handshake, if the necessary parameters are still missing or invalid, or if the client was not built with the library supporting the TLS mode, Configuration Server rejects the connection outright. Otherwise, the client is connected in secure mode.


Application: Port Certificate Tab

configuration database objects > environment > Applications > server info tab > Ports

Certificate Tab

This tab displays the properties of the security certificate used by this Application or port. See Assigning Security Certificates for more information about security certificates.


Application: Port Advanced Tab

configuration database objects > environment > Applications > server info tab > Ports

Advanced Tab

This tab displays information about the security certificate used by this Application or port. See Assigning Security Certificates for more information about security certificates.


configuration database objects > environment > Applications

Start Info Tab

This tab contains information that the Management Layer uses to control the application.

Start Info tab properties:

Working Directory | The full path to the directory where this application is installed. This value is mandatory for daemon Applications but optional for GUI Applications.
Command Line | The command line that is used to start this application. The name of the executable that is used to start the application. This value is mandatory for daemon Applications but optional for GUI Applications.
Command Line Arguments | Additional command-line parameters that are used to start this Application.
Startup Timeout | The time interval, in seconds, during which the Management Layer expects this application to start. If the application has been configured with the autostart configuration option set to true, this is also the time that Solution Control Server should wait after initializing or after a system reboot, to start this application. This value is mandatory for daemon Applications but optional for GUI Applications.
Shutdown Timeout | The time interval, in seconds, during which the Management Layer expects this application to shut down. This value is mandatory for daemon Applications but optional for GUI Applications.
Auto-Restart | Indicates whether the Management Layer automatically restarts the application after it fails.
Primary | Indicates whether the application is a primary server when running in redundancy mode. You cannot change this property.


Application: Connections Overview

configuration database objects > environment > Applications > connections tab

Connections Tab overview

This tab displays a list of servers that this application must connect to as a client when it starts. You can specify only primary servers in this list.

If you try to add a connection in an application, and the server to which you are connecting is already connected to the application by either its backup or primary server mate, a warning message will be generated. You must confirm the operation before continuing.

Note: Do not specify a connection to Configuration Server in this list unless you want to configure Advanced Disconnect Detection Protocol (ADDP) for the connection between Configuration Server and this server.

Applications that maintain a permanent connection to Configuration Server automatically connect to a new server when you specify a new connection and disconnect from an existing server when you delete the corresponding connection.

If the Application needs to communicate with one or more databases, add the related Database Access Points to its list of connections. Remember that one Database Access Point describes a connection to one database through one DB Server.


Application: Connections General Tab

configuration database objects > environment > Applications > Connections TAB

General Tab

This tab identifies the properties of a connection.

General tab properties:

Server

The server application that this application connects to as a client when it starts.

Port ID

The port of the server to which the application connects. If you want to use a secure connection, be sure to select a secure port.

Connection Protocol

The name of the connection control protocol. To set Advanced Disconnect Detection Protocol for a configured connection, specify addp.

Local Timeout

The heartbeat polling interval, measured in seconds, on a client side. Specify any integer as the value if you want to enable polling signals from the client application to the server. This indicates how often the client application sends polling signals to the server application.

Remote Timeout

The heartbeat polling interval measured, in seconds, on a server side. Specify any integer as the value if you also want to enable polling signals from the server application to the client. This indicates how often the server application sends polling signals to the client application.

Trace Mode

The connection trace mode to be used between a server and its client.

  • Select Trace Is Turned Off if you do not want either the client or the server application to print ADDP-related messages in its log.

  • Select Trace On Client Side so that the client application prints ADDP-related messages in its log.

  • Select Trace On Server Side so that the server application prints ADDP-related messages in its log.

  • Select Trace On Both Sides so that both client and server applications print ADDP-related messages in their log.

Connection Mode

Whether this port is secured or not by Genesys Security Using the TLS Protocol.

This field is disabled if the client does not use Genesys Security.

Note: To configure the ADDP protocol between Local Control Agent and Solution Control Server, use the Annex tab of the Host object.

Warning! To avoid false disconnect states that might occur due to delays in the data network, Genesys recommends that you set the ADDP timeouts to values greater than 10 seconds.

The Certificate and Advanced tabs in the Connection Info dialog box are not used.


Application: Modifying Multiple Applications

configuration database objects > environment > Applications > Connections TAB

Modifying Connections Tab Content for Multiple Applications

To add, change, or remove one or more servers on the Connections tab for a set of Applications:

  1. Select two or more Application objects.

  2. Right-click the selected Applications to display the shortcut menu.

  3. Select Manage Connections from the shortcut menu.

  4. The wizard displays the complete list of servers that are configured among Connections for one or more of the selected Applications. You can:

    • Specify new values for the connection parameters for any server on the list. This changes the server connection parameters for the Applications that have this connection configured.

    • Replace any server on the list with a new server. This changes the server connection for the Applications that had the replaced connection configured.

    • Delete any server from the list of connections. This removes the server connection from the Applications that had this connection configured.

  5. If necessary, add a new server to the connections. This configures a connection to this server, with the specified connection parameters, for all Applications you selected.

  6. Follow wizard instructions.


configuration database objects > environment > Applications

Options Tab

This tab displays a list of all options specific to this Application type and version; default values are supplied where appropriate. Options are arranged in sections that relate to specific aspects of the application’s functionality.

Because you use an Application Template to register a new Application, all application-specific options that are defined in the Template appear under the Options tab of the newly created Application.

You can:

  • Change the default values to reflect the values of the specific environment.

  • You can enable option synchronization between primary and backup servers in a redundant configuration.

  • You can modify (that is, create, change, or delete) contents of the Options tab for a particular Application or for a set of Applications.

Modifying Options Tab Content for Single Applications

To add a section:

  1. Open the Application's Properties dialog box and select the Options tab.

  2. Right-click and select New from the shortcut menu.

  3. Enter a Section Name in the text box that appears.

To add an option:

  1. Open the Application's Properties dialog box and select the Options tab.

  2. Double-click the name of the section where the option should be added.

  3. Right-click and select New from the shortcut menu.

  4. Enter an Option Name and Option Value in the text boxes that appear.

Once a section or an option exists, you can always delete it or change its name or value.

To disable an option:

  1. Double-click the option.

  2. Add a pound sign (#) or a semicolon (;) in front of the option name.

Modifying Options Tab Content for Multiple Applications

To add, change, or remove options for a set of Applications:

  1. Select two or more Application objects.

  2. Right-click the selected Applications to display the shortcut menu.

  3. Select Manage Options from the shortcut menu, to open the Manage Objects Update Wizard.

This wizard displays tabs at the top of its window. Use them in this way:

  • Select tab - Add or remove selected objects from the list.

  • Edit tab, Delete tab, Add tab - Modify the Options tab or Annex tab items of the selected objects.

  • Preview tab - Execute or Cancel the modifications.

Notes:

  • There are too many possible items to list in the wizard window below the Edit, Delete, and Add tabs. Click on the Modify Options or Modify Annex button at the bottom of the window, to open a dialog box where you can make the changes.

  • Be prepared to specify the exact names of the section and the options that you want to add or change, along with their new values.

  • The Section Name and Option Name must be exactly the same in all applications that you are changing. Be very careful that you enter these common names correctly. You must also specify a single new value for all the common variables.

  4. If necessary, specify the exact names of the options that you want to remove from the Applications configurations.

  5. When finished, click Execute at the Preview tab to apply the changes.

See Changing Multiple Objects for more details.

Import, Export, and Load Default Options Commands

If you are running a previous version of this application type, you may replace the option values that are defined by the Template with the data from the existing configuration file.

  • Click the Import button on the Options tab toolbar to load the data from the configuration file.

To return to the default values:

  • Click the right-most button on the Options toolbar. This replaces the current settings with the default values that are taken from the associated Template.

When you are reporting a problem with an application to Genesys Technical Support, be prepared to provide the values of the application-specific options configured for this Application.

To export the options into a text file, use the Export button on the Options tab toolbar.


configuration database objects > environment > Applications

Tenants Tab

This tab is displayed and has functional meaning only for daemon Applications that are configured for a multi-tenant environment. The Tenants tab specifies a list of Tenants that this application serves.

The information specified in this list does not restrict the access privileges of the daemon Applications with respect to the configuration data.

Note: T-Server and HA Proxy Applications do not display the Tenant tab. A T-Server can only serve one Tenant, which is specified on its General tab. An HA Proxy can only serve the same Tenant as the corresponding T-Server, and this Tenant is also specified on the General tab of the HA Proxy Application Properties dialog box.


Application: Security Tab

configuration database objects > environment > Applications

Security Tab

The access privileges of the currently logged-in Person determine the Access privileges of GUI applications.

Daemon applications may be started automatically (for example, by the network management system), and, therefore, do not have an explicit login procedure. Instead, the permissions of the account with which the daemon application is associated determine access privileges.

You can use any real or imaginary Person that is registered in the Configuration Database as an account for any daemon application.

SYSTEM Account

By default, every daemon Application is associated with a special account called SYSTEM, which has Read and Execute permissions with respect to all objects in the Configuration Database except Access Groups.

Note: You must have Full Control permission with respect to this Application to set up an account for the Application.

This Account

To associate a daemon Application with a specific account:

  1. Click the Security tab.

  2. Choose This Account.

  3. Select a Person whose access privileges match the ones required for this Application.

Warning! Genesys recommends that you shut down a currently running daemon application before changing an account of this application and then restart it.


Applications: Switches Tab

configuration database objects > environment > Applications

Switches Tab

This tab is applicable to Applications of the types T-Server and HA Proxy.

Use this tab to specify the Switch to which this T-Server or HA Proxy connects.

Note: For certain types of T-Server Applications you can specify a list of Switches to which T-Server connects.

When you assign a Backup Server to a primary T-Server, Configuration Server automatically replaces the Switch value of the backup T-Server with the value you specified for the primary T-Server. You cannot manually change the Switch value of the backup T-Server as long as the association remains between the two T-Server Applications.


configuration database objects > environment > Applications

Option Synchronization Between Primary and Backup Applications

Configuration Manager allows you to customize unidirectional synchronization of the application options from primary to backup Application.

The two prerequisites are that you must:

  1. Assign the application Template to the primary server before linking it to a backup server.

  2. Prepare the Annex tab content for the Application Template (as described below) to enable the option synchronization.

Modifying the Application Template's Annex tab

The Application Template's Annex tab should contain every option that you want to synchronize in the corresponding backup application.

You must specify the name of the section where an option is located and the option name on the Application Template's Annex tab; however, instead of using real values, use the following values/flags:

  • If you set the option value to 1, the corresponding option in a server that is configured as primary is copied into the server that is configured as backup only at the moment that you assign the backup server to the primary server. Further changes of the option in both the primary and backup server are not synchronized.

  • If you set the option value to 2, the corresponding option in a server that is configured as primary is copied into the server that is configured as backup at the moment that you assign the backup to the primary server. In addition, the option values are also synchronized every time you change the option in the primary server configuration.

Synchronization of Backup Server Port Assignments

When the Auto For Backup option is selected, that port is reserved only for use when the server is configured as a backup server.

  • If the server is configured as the backup server, that port cannot be removed from the server.

  • If the server is reconfigured so that it no longer is the backup, only then can the port be removed.

  • If the port is then reconfigured so that is it once again the backup server, the port is automatically recreated for the server, with properties identical to that of the corresponding port on the primary server.

At that time secured port can't be removed from TS2.

When TS2 is not backup, secured port there can be removed

When TS2 again pointed as backup of TS1, secured port automatically generated in TS2


configuration database objects > environment > Applications

PORT Synchronization BETWEEN Primary and Backup Servers

When the Auto For Backup option is selected, ports are automatically synchronized between the primary and backup server applications.

When a port is defined on the primary server application, a compatible port is automatically allocated on the backup server application. If the two server applications are configured as a primary-backup server pair, you cannot remove or change the ports on the backup server. But if the two are not linked as a redundant pair, you are able to delete the ports on that application which had been the backup.


Database Access Points

configuration database objects > environment > Applications > database access points

Database Access Points Overview

Genesys Applications access various databases through a daemon process called DB Server.

The Configuration Layer uses the concept of Database Access Points in order to cover the variety of ways that the Applications in the Genesys installation can be interfaced with databases using DB Servers.

A Database Access Point is an object of the Application type that describes both the parameters that are required for communication with a particular database and the DB Server that provides access to this database.

If, according to your configuration, multiple DB Servers can simultaneously provide access to a database, you must register as many Database Access Points as there are DB Servers.

To register a Database Access Point:

  1. Click the Applications folder.

  2. From the File menu, select New > Application. In the Browse window, select the Database_Access_Point_xxx template and click OK. If the template is not available, first import it from the product CD.

  3. Fill in the properties of the General tab as you would for any other Application. The name of the Database Access Point may be identical to the name of the database itself; but if you are using multiple access points to the same database, make their names unique.

  4. Fill in the properties of the General tab that are unique to Database Access Point Applications.

  5. Specify the properties of the DB Info tab.

  6. Depending on the type of the database access, specify:

    • The properties of the Server Info tab if you are using a DB Server connection. Specify the host and port parameters of the DB Server with which you associate this Database Access Point.

    • The properties of the JDBC Info tab if you are using a JDBC connection.

  7. To interface an Application with a database through a certain Database Access Point, add this Access Point to the list of the Application's Connections.


configuration database objects > environment > Applications > database access points

General Tab

The General tab of a Database Access Point contains the following properties, in addition to the properties of the General tab that exist for any Application:

DB Server | The name of the DB Server with which you associate this Database Access Point. You must specify a value for this property unless you select the JDBC Connection check box.
JDBC Connection | Indicates whether you dedicate this Database Access Point to database connections using standard SQL access based on Java Database Connectivity (JDBC) that Java programs use. Leaving the check box clear indicates database connections through Genesys DB Server.


configuration database objects > environment > Applications > database access points

DB Info Tab

Descriptions of the properties include references to the corresponding options that are configured in the DB Server–related sections of the applications' configuration files (for instance, a configuration file for Configuration Server).

DB Info tab properties:

DBMS Name

The name or alias identifying the DBMS that handles the database. This value corresponds to the option dbserver in a configuration file and is communicated to DB Server so that it connects to the correct DBMS:

  • For Sybase, this value is the server name stored in the Sybase interface file.

  • For Oracle, the value is the name of the Listener service.

  • For Informix, this value is the name of SQL server, specified in the sqlhosts file.

  • For Microsoft SQL, set this value to the SQL server name (usually the same as the host name of the computer where Microsoft SQL runs).

  • For DB2, set this value to the name or alias-name of the database specified in the DB2 client configuration.

DBMS Type

The type of DBMS that handles the database. You must specify a value for this property. It corresponds to the option dbengine in a configuration file.

Database Name

The name of the database to be accessed as it is specified in the DBMS that handles the database. You must specify a value for this property unless oracle is specified as the DBMS Type. This value corresponds to the option dbname in a configuration file. For Sybase, Informix, DB2, and Microsoft SQL, this value is the name of the database where the client will connect.

User Name

The user name established in the SQL Server to access the database. You must specify a value for this property. It corresponds to the option username in a configuration file.

Password

The password established in the SQL Server to access the database. It corresponds to the option password in a configuration file.

Re-enter Password

Confirmation for the value entered for Password.

Case Conversion

Case conversion method for key names of key-value lists coming from DB Server. This value specifies whether and how a client application converts the field names of a database table when it receives data from DB Server. If you select upper, field names are converted into uppercase; if you select lower, field names are converted into lowercase; and if you select any, field names are not converted. This value corresponds to the option dbcase in a configuration file.

Note: This setting does not affect the values of key-value lists coming from DB Server. That is, actual data is presented exactly as it appears in the database tables.

Warning! Use the default value (any) unless directed to do otherwise by Genesys Technical Support.


configuration database objects > environment > Applications > database access points

JDBC Info Tab

Use this tab to configure properties for a Database Access Point that is dedicated to database connections that use standard SQL access based on Java Database Connectivity (JDBC).

JDBC Info tab properties:

Role

The role of the database to which this Database Access Point provides access:

  • Main—applications use the database for operation.

  • Archive—applications use the database for archiving data.

Debug

Indicates whether to enable debug information at the JDBC driver level.

Query Timeout

The time interval, in seconds, which an application using this Database Access Point waits before reporting a failure of the submitted SQL request. If no response comes from the SQL server within this interval, the application assumes that the SQL server has stopped responding.


configuration database objects > environment > Application Templates

Application Templates Overview

Application Templates are the models that you use for registering new applications in the database. These templates replace the sample configuration files that were provided in earlier versions of Genesys products.

Generic Application Templates are supplied with every Genesys Application.

When upgrading previously installed versions of Genesys applications, you must register new Application Templates for the new versions if the Release Notes indicate that these versions contain new configuration options essential for your environment.

When installing a new Genesys application, you must use the Import command to create an Application Template from the Genesys-provided *.apd file, or create a custom Application Template. You can find the *.apd files for Application Templates, which come with every version of Genesys software, in the TEMPLATES folder on a product CD.

Note: You cannot delete an Application Template which has any Applications associated with it.


Application Template: Importing

configuration database objects > environment > Application Templates

Importing an Application Template

To import an Application Template:

  1. Insert the installation CD-ROM that contains the product for which a template should be created.

  2. In the Configuration Manager main window, click the Application Templates folder. From the File menu, select Import Application Template.

  3. In the Open window that appears, navigate to the CD-ROM drive and select the directory called TEMPLATES.

  4. Select and open the *.apd file that corresponds to the Application Template that you want to create. The Application Template name typically consists of the Application name (or the name abbreviation) and the first three digits of its version number. Although you can change the name and version at this point, retaining the original, Genesys-provided name makes communication with Genesys Technical Support easier.

  5. Click the Options tab to see if the Genesys-provided default option values are applicable. (Refer to the related component description for additional information.)

Genesys provides default values that fit the widest range of possible configuration needs. Rather than changing Template default values, Genesys recommends that you set new values, if necessary, when you are actually registering an Application.

  6. Click OK to save the imported template.

Warning! Do not change any values that are set to required. You must specify these configuration options for an Application based on this Template. Specify these options when you are registering an Application, not in the Application Template.


Application Template: Creating

configuration database objects > environment > Application Templates

Creating an Application Template

To create an Application Template:

  1. Click the Application Template folder. From the File menu, select New > Application Template.

  2. Specify the Name, Type, and Version number of the new Application Template. Make sure that the Type and Version match the Applications that you want to register using this Template.

  3. Click the Options tab.

To use an existing configuration file for the default options, click the Import button on the Options tab toolbar and specify the path to that file. By default, Configuration Manager looks for the files with standard extensions *.cfg and *.conf.


Application Template: General Tab

configuration database objects > environment > Application Templates

General Tab

General tab properties:

Name | The name of the Application Template. You must specify a value for this property, and that value must be unique within the Configuration Database. Once you set the value, you cannot change it.
Type | The type of Application the Template relates to. You must specify a value for this property. Once you set the value, you cannot change it.
Version | The version of the Application the Template relates to. You must specify a value for this property. Once you set the value, you cannot change it. Genesys recommends that you specify the first three digits of the Application version.


configuration database objects > environment > hosts

Hosts Overview

Hosts are the computers that run the various CTI server applications in the environment.

Register only those hosts where you will install and run Genesys CTI servers or third-party servers that you configure in the Configuration Database.

Note: You can delete only a Host that has no server applications currently assigned to it.


Hosts: General Tab

configuration database objects > environment > hosts

General Tab

General tab properties:

Name

The name of the Host. You must specify a value for this property, and that value must be unique within the Configuration Database. Because CTI applications use this host name to establish connections with the servers running on this host, make sure that the name exactly matches the name of this host in the data network configuration.

You cannot change this Host name if any server applications are assigned to this Host.

IP Address

The IP address of the Host. This value must be unique within the Configuration Database. Because CTI applications may be using the specified IP address to establish connections with the servers running on this host, make sure that the value that you enter exactly matches the IP address of this host in the data network configuration.

OS Type

The type of the operating system of this Host. You must specify a value for this property. Once you set the value, you cannot change it.

Version

The version of the operating system.

LCA Port

The port number on which Local Control Agent (LCA) for this host is running. The LCA port must be set to value of 2000 or greater. When the LCA port is specified within the range of 1-1999, LCA starts on port number 4999 (default value).

Note: Do not change the value of the LCA Port if any application has already connected to LCA or if Solution Control Server has already started to control LCA.

Solution Control Server

The name of the Solution Control Server that monitors and controls this host. This property is valid only if you enable Distributed SCS functionality. See the Management Layer User's Guide for details.

Default Certificate

The security certificate used by this Host. Refer to Assigning Security Certificates for more information.

This section appears only if Show Advanced security information is selected in the View > Options menu.

Use the Annex tab of the Host object to configure the ADDP protocol between the Local Control Agent of the given Host and Solution Control Server.

If you are using the Management Layer for application failure management, set up ADDP parameters for the Host as described.

  1. Open the Annex tab. If the Annex tab is not visible, select the Options command from the View menu and select the Show Annex tab in the object properties check box.

  2. Create a section called addp.

  3. Open the addp section and specify the following configuration options:

Option Name

Option Value

Option Description

addp-timeout

Any integer

Sets ADDP timeout in seconds. If one application in the connection does not receive messages from the other application in the connection within this interval, the first application sends a polling message. The first application interprets the lack of response to the polling message from the second application within the same time period as a loss of connection.

The recommended setting for this option is 3 seconds for a LAN connection or 10 seconds for a WAN connection.

addp-trace

local

LCA prints ADDP-related messages into its log.

Note: Configure the ADDP protocol between other servers using the Application's Connections tab.


configuration database objects > environment > Solutions

Solutions Overview

Solutions are sets of functions that applications provide. Solutions accomplish particular business tasks in contact centers.


configuration database objects > environment > Solutions

General Tab

General tab properties:

Name

The name of the Solution. You must specify a value for this property, and that value must be unique within the Configuration Database.

Assigned to Tenant

In a multi-tenant configuration environment, the Tenant to which this Solution is assigned.

Solution Type

The type of the Solution. You must specify a value for this property. Once you set the value, you cannot change it. This value is automatically set according to the type of the imported Solution.

Note: Solution Types Default Solution Type and Framework cannot be started and stopped with the Solution Control Interface unless they have been created using a solution wizard. See Framework 7.6 Management Layer User's Guide for more information.

Solution Control Server

The name of the Solution Control Server that controls this Solution.

Version

The version of the Solution. You must specify a value for this property.


configuration database objects > environment > Solutions

Component Definitions Tab

This tab lists the types of Applications whose functionality this Solution uses.

Component Definitions tab properties:

Application Type | The type of an application that you can use within a Solution.
Application Version | The version of an Application. You can only use Applications for a specified Application type with this version within this Solution. Once you set the value, you cannot change it.
Startup Priority | The default number of the Solution component in a component startup sequence within the Solution. A component inherits this value when you create the component for the defined application type within the Solution.
Is Optional | Determines whether an application of this type is optional within the defined Solution.


configuration database objects > environment > Solutions

Components Tab

This tab displays a list of Applications whose functionality this Solution uses.

Note: The same Solution Control Server must control all Solutions that use the same Solution component.

Components tab properties:

Application | The name of the Application used as a Solution component.
Startup Priority | The default number of the Solution component in a component startup sequence within the Solution. This value is set automatically, and you cannot change it.
Is Optional | Determines whether this Solution component is optional. This value is set automatically.


configuration database objects > environment > Switching Offices

Switching Offices Overview

Switching Offices are the actual telephone switches that provide telephone service to contact centers.

You must register Switching Offices before you configure the Switches with DNs and Agent Logins.

Note: You cannot delete a Switching Office as long as at least one Switch is associated with it.


Switching Offices: General Tab

configuration database objects > environment

General Tab

General tab properties:

Name | The name of the Switching Office. You must specify a value for this property, and that value must be unique within the Configuration Database.
Switch Type | The type of the Switching Office. You must specify a type. Once you set the type, you cannot change it.


Resources/Tenants Overview

configuration database objects > Resources / Tenants

Resources / Tenants Overview

The Resources folder (in an enterprise environment) or Tenant folder (in a multi-tenant environment) contains the following Configuration Database objects:

Access Groups | Place Groups
Action Codes | Places
Agent Groups | Scripts
Business Attributes | Skills
Calling Lists | Statistical Days and Day Contracts
Campaigns | Statistical Tables and IT Contracts
DN Groups | Switches
Fields | Table Access
Filters | Time Zones
Formats | Transactions
IVRs | Treatments
Objective Tables | Voice Prompts
Persons |

In a multi-tenant environment, you also must configure a Tenant object to create a Tenant folder with all appropriate subfolders.


configuration database objects > Resources / Tenants > Tenant Object Overview

Tenant Object Overview

In a multi-tenant environment, you have to configure a Tenant object in order to create a Tenant folder with all appropriate subfolders.

  • Create the Tenant object as you would any other object in the Configuration Database.

Tenants are businesses whose customer interactions are enabled or enhanced through services offered by a third party, typically a telecommunications service provider.

From a functional standpoint, each Tenant in a multi-tenant environment is a contact center (single or multi-site) completely equipped to process customer interactions.

From an architectural standpoint, however, most of the hardware and software that Tenants use to enable or enhance those interactions belongs to the service provider.

Allocation of Resources

Some of these hardware and software resources are allocated to each Tenant separately (for example, a switching system's telephony extensions and queues, and end-user CTI applications).

Other resources are shared by the Tenants; these resources process customer interactions for some or all of the Tenants simultaneously (for example, a switching system's control and signaling devices, service control points of the public telephone network, and CTI server applications).

The configuration objects describing both types of resources are allocated to Tenants accordingly.


Tenants: General Tab

configuration database objects > Resources / Tenants > Tenant Object Overview

General Tab

General tab properties:

Name | The name of the Tenant. You must specify a value for this property, and that value must be unique within the Configuration Database.
Tenant ID | An identifier of this Tenant in the Configuration Database. The Configuration Layer generates this unique value automatically, and you cannot change it. If you delete the Tenant, the Configuration Layer never reuses that Tenant's ID. You may use this number for accounting and billing purposes.
Password | A password for this Tenant. Some CTI server applications use the tenant password as a client verification point.
Charg. Number | A regular telephone number associated with the Tenant, to which all fees for the rendered services may be charged.
Default Capacity Rule | The name of the Script of the Capacity Rule type that defines the ability of this Tenant to handle multiple interactions. Refer to Reporting documentation for more information.
Default Cost Contract | The default cost contract applied to resources of this tenant. Refer to the Routing Solutions chapter of Universal Routing 7.6 Routing Solutions Guide for more information.


configuration database objects > Resources / Tenants > access Groups

Access Groups Overview

Access Groups are groups of Persons who need to have the same set of permissions with respect to Configuration Database objects.

In many cases, Configuration Manager users fall into a small number of categories with similar access needs. A team of agents all performing the same tasks often has identical access needs. Two or three people responsible for maintaining a specific site of the contact center may also have identical access needs.

You can greatly simplify access control by adding individuals to Access Groups and then setting permissions for those groups.

Rules for Merging Multiple Access Privileges

Multiple (and unequal) privileges can affect a user's access to an object.

If a person belongs to multiple Access Groups and those Access Groups have different permissions for the object, this person gets the better privileges from the set of access privileges with one exception: "No Access" access privilege supercedes all others.

If a user belongs to two different access groups—and those two groups enjoy different privileges to an object such as a Host named Friday—then the user gets the better set of access privileges.

For example, assume that:

  • The user John is a member of Group A and Group B.

  • Group A has read-only access to the Host Friday, but Group B has read/write access to the Host Friday.

As a result, John has read/write access to the Host Friday.

To understand the Exception to this rule, now assume that:

  • John joins Group C, which has No Access privileges to the Host Friday.

As a result, John now has no access to the Host Friday.


Access Groups: General Tab

configuration database objects > Resources / Tenants > access Groups

General Tab

General tab properties:

Name | The name of the Access Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Access Group belongs. Once you set the value, you cannot change it.


Default Access Groups

configuration database objects > Resources / Tenants > access Groups > Default Access Groups

Default Access Groups Overview

The Configuration Layer comes preconfigured with predefined Default Access Groups.

The group permissions differ slightly in an enterprise environment from permissions in a multi-tenant environment. For detailed information, see:

  • Enterprise Default Access Groups

  • Multi-tenant Default Access Groups

In addition, Configuration Layer comes preconfigured with predefined user accounts. For detailed information, see Special Accounts.


configuration database objects > Resources / Tenants > access Groups > Default Access Groups

Enterprise Default Access Groups

The following Default Access Groups exist in an enterprise configuration environment:

Users

Members of this group have Read and Execute permissions with respect to all objects under the Resources folder except Access Groups.

Administrators

Members of this group have:

  • Full Control permissions with respect to all objects under the Resources folder, except the Access Groups.

  • Read and Change permissions with respect to Users and Administrators Access Groups.

Super Administrators

Members of this group have Full Control permissions with respect to every object in the Configuration Database except the confserv Application. No person is added to this group by default.


configuration database objects > Resources / Tenants > access Groups > Default Access Groups

Multi-Tenant Default Access Groups

The following Default Access Groups exist under the Environment folder in a multi-tenant configuration environment:

Users

Members of this group have Read and Execute permissions with respect to all objects under the Environment folder except Access Groups.

Administrators

Members of this group have:

  • Full Control permissions with respect to all objects under the Environment folder except Access Groups.

  • Read and Change permissions with respect to Users and Administrators Access Groups under the Environment folder.

Super Administrators

Members of this group have Full Control permissions with respect to every object in the Configuration Database except the confserv Application.

The Configuration Layer creates the following Default Access Groups for each new Tenant folder in a multi-tenant configuration environment:

Users

Members of this group have Read and Execute permissions with respect to all objects under this Tenant folder except Access Groups.

Administrators

Members of this group have:

  • Full Control permissions with respect to all objects under this Tenant folder except Access Groups.

  • Read and Change permissions with respect to Users and Administrators Access Groups under this Tenant folder.


Access Groups: Adding Persons

configuration database objects > Resources / Tenants > access Groups

Adding Persons to an Access Group

To add personal accounts to an Access Group from the Persons folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the selected Persons from the list of Persons, and then drop them onto the Access Group icon.

You can also add a Person to one or more Access groups by using the Member Of tab of the Person Properties.

You set permissions with respect to an Access Group itself in the same way that you set any other object in the Configuration Database.

Note: The Configuration Layer allows an individual to be a member of more than one Access Group simultaneously. The combination of permissions of all Access Groups to which this Person is currently assigned determines the complete set of the individual’s permissions.


configuration database objects > Resources / Tenants > access Groups

Changing Default Permissions

The Configuration Layer sets the default permissions that provide the users of the CTI installation with a rather broad range of access privileges.

As a Super Administrator of the CTI system, you can always change those default settings to match the access needs of a particular contact center environment.

To change the default settings, do one of the following:

  • Change the permissions of the default Access Groups.

  • Create some role-specific Access Groups and move the individual accounts from the default Access Groups to those role-specific groups.


configuration database objects > Resources / Tenants > action codes

Action Codes Overview

Action coding enables agents to report the business results of customer interactions, as well as to explain the reasons for certain operations.

After you select an appropriate code from a menu of predefined Action Codes, the code is passed along with its related request. The code then returns with the event which indicates that the request has been successfully processed. Eventually, the code is stored in the reporting database.

You can supplement each Action Code with a number of Subcodes that more precisely characterize the reasons for a certain action.


Action Codes: General Tab

configuration database objects > Resources / Tenants > action codes

General Tab

General tab properties:

Name | The name of the Action Code. You must specify a value for this property, and that value must be unique. The Name and the Action Code type specified in the Type property determine the uniqueness within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Action Code belongs. Once this value is specified, it cannot be changed.
Type | The Action Code Type. You must specify a value for this property. Once you set the value, you cannot change it.
Code | The Action Code. You must specify a value for this property, and that value must be unique within the Action Code type specified in the Type property.
Subcodes | A list of Subcodes defined within the Action Code.


configuration database objects > Resources / Tenants > action Codes

Action Code Types

The following are types of Action Codes:

Busy Off | Selected and sent when an agent cancels the Make Busy function.
Busy On | Selected and sent when an agent activates the Make Busy function.
Conference | Selected and sent when an agent initiates a conference.
Forward Off | Selected and sent when an agent cancels the Call Forwarding function.
Forward On | Selected and sent when an agent activates the Call Forwarding function.
Inbound Call | Selected and sent when an agent releases an inbound call.
Internal Call | Selected and sent when an agent releases an internal call.
Login | Selected and sent when the agent logs in.
Logout | Selected and sent when the agent logs out.
Not Ready | Selected and sent when the agent’s status changes to Not Ready.
Outbound Call | Selected and sent when an agent releases an outbound call.
Ready | Selected and sent when the agent’s status changes to Ready.
Transfer | Selected and sent when an agent initiates a transfer.


Subcodes

configuration database objects > Resources / Tenants > action codes

Subcode Properties

Subcode properties:

Name | The name of the Subcode. You must specify a value for this property, and that value must be unique within the Action Code. Once you set the value, you cannot change it.
Code | The Subcode value. You must specify a value for this property, and that value must be unique within the Action Code. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > agent Groups

Agent Groups Overview

Groups of Agents are typically set up to provide particular sets of contact center services.


Agent Groups: General Tab

configuration database objects > Resources / Tenants > agent Groups

General Tab

General tab properties:

Name | The name of the Agent Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this Agent Group contains at least one Person.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Agent Group belongs. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > agent Groups

Advanced Tab

Advanced tab properties:

Capacity Table | A Capacity Table associated with this Group.
Quota Table | A Quota Table associated with this Group.
Supervisor | A Supervisor associated with this Group. Select a single object from the Persons folder.
Cost contract | A Cost Contract associated with this Group. Select a single object from the Objective Tables folder. This field is used for Cost-Based Routing.
Site | The Site with which this Group is associated. Select a single object from the list or from within a Configuration Unit.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Group. This list can include DNs of the following types: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.

Refer to Universal Routing 7.6 Routing Solutions Guide for more information about Cost-based Routing.


configuration database objects > Resources / Tenants > agent Groups

Script Tab

Enter a valid expression on the Script tab to define the group as a Virtual Agent Group.

The expression must be in Virtual Group Script Language (VGSL) and must define at least one skill (with optionally, a skill level) in the format:

Skill(“SkillName”)>SkillLevel

Example
Skill(“Spanish”)>5

See Virtual Agent Groups.


Adding Agents to a Group

configuration database objects > Resources / Tenants > agent Groups

Adding Agents

To add agents to an Agent Group, from the Persons folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired agents from the list of Persons, and then drop them onto the Agent Group icon.

One Agent can belong to more than one Agent Group.

Use the Find command to:

  • Find all agents that match certain criteria; for example, have a particular Skill or a Login ID that belongs to a particular Switch.

  • Select all agents assigned to a particular Agent Group.

  • Find all Agent Groups to which a particular agent is assigned.

Moving Agents Across Groups

To move agents across groups, do one of the following:

  • Use the Copy and Paste commands.

  • Drag the desired agents from the List view of one group and drop them onto the icon of another group.

Copying Agents from One Group to Another

To copy agents from one group to another group, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired agents from the List view of one group, and then drop them onto the icon of another group.


Removing Agents from a Group

configuration database objects > Resources / Tenants > agent Groups

Removing Agents

To remove agents from the Agent Group:

  1. Select them in the List view for that group.

  2. Click the Delete button on the Configuration Manager toolbar.

Note: Removing agents from a group does not delete them from the Configuration Database.


configuration database objects > Resources / Tenants > agent Groups

Virtual Agent Groups

A Virtual Agent Group (VAG) is similar to an Agent Group except that a Virtual Agent Group has no permanent members.

Instead, an Agent becomes a member of a VAG if that Agent meets the criteria specified in the VAG's Script tab. Agent membership in a VAG can change dynamically based on changes in the VAG criteria or changes in the object properties of the Agent.

When you click a VAG in the Tree view, you see its current member Agents in the List view.

Warning! If Configuration Server finds VAGs (converted from an earlier installation) that contain illegal script expressions or include permanent members, Configuration Server will display an error message. To preserve correct functionality of the VAGs, you must address the problem manually: either correct the error or convert the VAG to a non-virtual Agent Group by removing the expression from the Script tab.

Configuring Virtual Agent Groups

The process of configuring virtual agent groups is the same for both single- and multi-tenant environments:

  1. Under Resources in the Configuration Manager main window, select Agent Groups.

  2. Select File > New Agent Group.

  3. On the General tab of the Properties dialog box of the Agent Group, specify the name of the group.

  4. On the Script tab, create a new expression.

The expression must be in Virtual Group Script Language (VGSL) and must define at least one skill (with optionally, a skill level) in the format:

Skill(“SkillName”)>SkillLevel

Example

Skill(“Spanish”)>5

Although you can create and configure them using Configuration Server, VAGs are used primarily by Reporting applications. For more detail on these objects, read the "Virtual Agent Groups" chapter in the Framework 7.6 Stat Server User's Guide.


configuration database objects > Resources / Tenants > Business Attributes

Business Attributes Overview

Business Attributes are objects which serve as containers of a particular type for Attribute Value objects. Instances of this object are available enumerations (classifications), such as Media Type, Service Type, and others.

For more information about Business Attributes, refer to the following documents:

  • Universal Routing Business Process User's Guide

  • Universal Routing Reference Manual

  • Multimedia User's Guide


Configuration Database objects > Resources / Tenants > Business Attributes

General Tab

General tab properties:

Name | The name of the Business Attribute. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.
Display Name | The localized name of the Business Attribute under which this object is to be displayed on graphical user interface elements such as dialog boxes. By default, this value is the same as for the Name property.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Attribute Value belongs. This value is set automatically, and you cannot change it.
Type | The type of the Business Attribute. You must specify a value for this property. Once you set the value, you cannot change it.
Description | A brief description of the Business Attribute.


configuration database objects > Resources / Tenants > Business Attributes > Attribute Values

Attribute Values Overview

Attribute Value is an object which represents a single value within the range of values for a given Business Attribute object.


configuration database objects > Resources / Tenants > Business Attributes > Attribute Values

General Tab

General tab properties:

Name | The name of the Attribute Value. You must specify a value for this property, and that value must be unique within the Business Attribute to which this Attribute Value belongs. Once you set the value, you cannot change it.
Display Name | The localized name of the Attribute Value under which this object is to be displayed on graphical user interface elements such as dialog boxes. By default, this value is the same as for the Name property.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Attribute Value belongs. This value is set automatically, and you cannot change it.
Business Attribute | The Business Attribute to which this Attribute Value belongs. You must specify a value for this property. Once you set the value, you cannot change it.
Description | A brief description of the Attribute Value.
Default | If selected, indicates that this value is the default value for the Business Attribute it belongs to. After you select this check box for one Attribute Value, you cannot select it for any other value that belongs to the same Business Attribute.


configuration database objects > Resources / Tenants > Calling Lists

Calling Lists Overview

Calling Lists are references to tables of information about the numbers to call during an outbound campaign. These objects also specify conditions that Outbound Contact applications observe when working with these Calling Lists.


Calling Lists: General Tab

configuration database objects > Resources / Tenants > Calling Lists

General Tab

General tab properties:

Name | The name of the Calling List. You must specify a value for this property, and that value must be unique within the Configuration Database.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Calling List. Once you set the value, you cannot change it.
Description | A brief description of the Calling List.
Table Access | The Table Access to which the Calling List refers. You must specify a value for this property.
Log Table Access | The Table Access of the Log Table type. Genesys recommends dedicating a single Log Table Access to all Calling Lists associated with one campaign.
Filter | The Filter to be applied to this Calling List. If you specify the Filter, associate it with the same format as the Table Access.
Calling Time From | The earliest time of day when the numbers in this Calling List can be dialed.
Calling Time To | The latest time of day when the numbers in this Calling List can be dialed.
Script | The Script associated with this Calling List. For more information, refer to the Outbound documentation.
Maximum Attempts | The maximum number of attempts to call a single record in this Calling List during one campaign if a Treatment associated with this campaign results in re-dialing a particular record. You must specify a value for this property, and that value must be other than zero.


Calling Lists: Treatments Tab

configuration database objects > Resources / Tenants > Calling Lists

Treatments Tab

This tab displays a list of Treatments that should be applied to the Calling List.

To search for the Calling Lists with a particular Treatment, use the Find command.


configuration database objects > Resources / Tenants > campaigns

Campaigns Overview

Campaigns are structures for organizing and managing an automated process of making outbound calls to the destinations specified in Calling Lists.


Campaigns: General Tab

configuration database objects > Resources / Tenants > campaigns

General Tab

General tab properties:

Name | The name of the Campaign. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Campaign. Once you set the value, you cannot change it.
Description | A brief description of the Campaign.
Script | A Script associated with the Campaign.


Campaigns: Calling Lists Tab

configuration database objects > Resources / Tenants > campaigns

Calling Lists Tab

This tab displays the Calling Lists to be used by this Campaign. You can add, edit, delete, activate, or deactivate calling lists in a campaign.

Calling List properties:

Calling List | The Calling List name that will be dialed during this Campaign.
List Weight (Share) | This property applies for a Campaign with more than one active Calling List. It represents the proportion of the total Campaign volume of calls to be dialed from a particular Calling List. You can specify what proportion of that volume to draw from each Calling List.
Active | Indicates whether to involve the Calling List in the Campaign.


configuration database objects > Resources/Tenants > campaigns > campaign GROUPS

Campaign Groups Overview

Campaign Groups are structures for organizing and managing an automated process of making outbound calls to the destinations specified in Calling Lists.


Campaign Groups: General Tab

configuration database objects > Resources/Tenants > campaigns > campaign GROUPS

General Tab

General tab properties:

Name | The name of the Campaign Group. This field defaults to the Campaign name followed by @ followed by the Agent Group or Place Group name. You can leave the default name or enter another name. You must enter a name for this Campaign Group, and that name must be unique within the associated Campaign.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocated the associated Campaign. This value is set automatically and cannot be changed.
Campaign | The name of the Campaign under which this Campaign Group is created. This value cannot be changed.
Group | The Agent or Place Group. You must specify a value for this field.
Group Type | The type of group. This value is set automatically according to the selected group.
Description | A brief description of the Campaign Group.


Campaign Groups: Advanced Tab

configuration database objects > Resources/Tenants > campaigns > campaign GROUPS

Advanced Tab

Advanced Tab properties:

Dialing Mode

A dialing mode used by this group. You must specify a value for this property.

Voice Transfer Destination

The DN from which the call originates. You can use ACD Queue or Routing Point DNs to specify this parameter.

Operation Mode

An operation mode: Manual or Scheduled. This property applies only for Preview dialing mode.

Optimization Method

An optimization method that determines the dialing rate for this group. The three values for the Optimization method are: Overdial Rate, Average Waiting Time, and Agent Busy Factor.

This property is only meaningful for Predictive dialing mode. For more information about Optimization methods, see Outbound documentation.

Target Value

The value of the optimization method that the Optimization Method property specifies.

Max Queue Size

The maximum number of unprocessed interactions in the Interaction Queue.

IVR Profile ID

An IVR profile used by this group.

Interaction Queue

The queue of interactions to be processed by the Interaction Server.

Script

A script associated with this group with respect to this Campaign.

Minimum Buffer Size Coefficient

The minimum number of records per active agent kept in the buffer before an outbound application requests another portion of records. This value must be other than zero.

Optimal Buffer Size Coefficient

The optimal number of records per active agent kept in the buffer that an outbound application should replenish when the numbers fall below the minimum setting. This value must exceed the Minimum Buffer Size Coefficient.

Number of CPD Ports

The maximum number of outbound channels (Call Progress Detection Ports) from which the calls to be transferred to this group can be dialed simultaneously.


configuration database objects > Resources/Tenants > campaigns > campaign GROUPS

Dialing Modes

Power | Specified number of calls per minute.
Power GVP | Specified number of GVP calls per minute.
Power with seizing | Engages agents to get them ready to accept outbound calls that are dialed with the rate of the specified number of calls per minute.
Predict GVP | Not available at this time; reserved for future use.
Predictive | Calls automatically, using an intelligent pacing algorithm to predict agent availability.
Predictive with seizing | Engages agents to get them ready to accept outbound calls that are dialed automatically according to intelligent pacing algorithm.
Preview | Delivers customer records to the agent's desktop upon the agent's request, letting the agent schedule and dial calls to targeted customers.
Progress GVP | Not available at this time; reserved for future use.
Progressive | Calls automatically, routing successful calls to agents who are known to be free.
Progressive with seizing | Engages agents to get them ready to accept outbound calls that are dialed automatically according to the current number of ready agents.
Push Preview | Delivers customer records as interactions to Interaction Server.


Campaign Groups: Connections Tab

configuration database objects > Resources/Tenants > campaigns > campaign GROUPS

Connections Tab

This tab is used to configure connectivity to Servers associated with this Campaign Group.

Refer to Outbound Contact Solution documentation for more information.


configuration database objects > Resources / Tenants > DN Groups

DN Groups Overview

You may use Groups of DNs in network-level routing algorithms and in some types of statistics. Consult solution-specific documentation to see if you need to set up DN Groups.

When you are specifying a DN Group, remember that the DNs comprising this group must have the same telephony event model.

Note: While a DN Group can contain DNs that belong to a number of different Switches, you can receive correct statistical information about this group only if the reporting applications connect to the servers associated with those Switches.


DN Groups: General Tab

configuration database objects > Resources / Tenants > DN Groups

General Tab

General tab properties:

Name | The name of the DN Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this DN Group contains at least one DN.
Type | The type of the DN Group. Once you set the value, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which this DN Group belongs. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > DN Groups

Advanced Tab

Advanced tab properties:

Capacity Table | A Capacity Table associated with this Group.
Quota Table | A Quota Table associated with this Group.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Group. This list can include DNs of the following types: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.


configuration database objects > Resources / Tenants > DN Groups

DN Group Types

DN Group types and types of DNs that you can include in a group:

ACD Queues | ACD Queue, Routing Queue, and Virtual Queue.
Network Ports | Network Destination.
Routing Points | Routing Point, External Routing Point, Routing Queue, and Virtual Queue.
Service Numbers | Service Number.
Single Ports | Extension, ACD Position, Call Processing Port, Music Port, Communication DN, E-mail Address, Modem, Fax, Chat, CoBrowse, Voice over IP Port, Video over IP Port, Voice Treatment Port, and Voice Mail.


DNs: Adding to a DN Group

configuration database objects > Resources / Tenants > DN Groups

Adding DNs to a DN Group

To add DNs to a DN Group, from the DNs folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired DNs from the list of DNs, and then drop them onto the DN Group icon.

Note: In the multi-tenant Object Model, DNs must belong to the Tenant of this DN Group or to the tenant Environment before you can assign them to this DN Group.

You can assign one DN to more than one DN Group simultaneously.

When you are adding DNs to a DN Group of the Network Port type, the Configuration Layer lets you specify the number of trunks for each Network Destination separately. This parameter is used to balance the traffic offered to the private telephone network through different routes.

To change the number of trunks specified for an existing member of a Network Ports group:

  1. Select this group in the Tree view.

  2. Double-click the DN to open its properties.

  3. On the Advanced tab, change the value in the Number of Trunks property.

Use the Find command to:

  • Search for the DNs that are currently assigned to a particular DN Group

  • Search for the DN Groups that contain a particular DN.


DNs: Removing from a DN Group

configuration database objects > Resources / Tenants > DN Groups

Removing DNs from a DN Group

To remove DNs from a DN Group:

  1. Select the desired DNs in the List view for that DN Group.

  2. Click the Delete button on the Configuration Manager toolbar.

Note: Removing DNs from a DN Group does not delete them from the Configuration Database.


configuration database objects > Resources / Tenants > fields

Fields Overview

Fields are single pieces of data within more complex data structures (for example, database records).

Use Fields to define characteristics of data in Formats. (Refer to the Outbound Contact documentation set for more information.)

Note: You cannot delete a Field if it is associated with at least one Format.


Fields: General Tab

configuration database objects > Resources / Tenants > fields

General Tab

General tab properties:

Name

The name of the Field up to 12 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.

If you use a particular Field object to describe a field in a database table, the object's name must correspond to the name of the field in the database table.

Tenant

In a multi-tenant configuration environment, the Tenant to which this Field belongs. Once you set the value, you cannot change it.

Data Type

The type of data stored in this Field that corresponds to the data type that the relational database management systems support. You must specify a value for this property. Once you set the value, you cannot change it.

Description

A brief description of the Field.

Length

The length of the Field in the database. Once you set the value, you cannot change it.

Field Type

Application-specific type of information to be stored in this Field. You must specify a value for this property. Once you set the value, you cannot change it.

Default

The default value of the Field.

Primary Key

Indicates whether the field is used as a primary key in a database table. Once you set the value, you cannot change it.

Unique

Indicates whether the value specified in this field must be unique within the table that includes this Field. Once you set the value, you cannot change it.

Nullable

Indicates whether the field can be set to NULL. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > fields

Field Types

Agent

A field containing a login ID of the last agent who handled an outbound call associated with this record.

ANI

A field containing an Automatic Number Identification.

Application

A field containing a Genesys application. An Application is: any of the executable programs that are installed and configured during a Framework installation, and which has a particular function within Framework.

Examples: Configuration Manager, Configuration Server, Solution Control Server (SCS), Solution Control Interface (SCI), Message Server, Local Control Agent (LCA).

Call Time

A field containing the time of the actual dialing attempt.

Campaign

A field containing the campaign with which this record is associated.

Chain

A field containing the special ID of records that should be linked in a chain. Each record that is associated with one customer account, for example, has the same chain ID.

Contact Info

A field containing a destination telephone number.

Contact Info Type

A field containing the type of telephone number, such as home or work.

Country Code

A field containing the country code.

Dialing Result

A field containing the result of a dialed call.

E-mail Subject

A field containing the text in the subject line of an e-mail interaction.

E-mail template ID

A field containing the template ID of an email interaction.

From

A field containing the time a record is scheduled for dialing.

Group

A field containing the name of a configuration object that groups person objects.

Info Digits

A field containing the Information Indicator-Digits, which indicate the originating line type of the caller.

LATA

A field containing the number of the Local Access and Transport Area.

Media Reference

A field containing the Configuration Server API reference to media body to be sent in case of treatment.

NPA

A field containing the number of the Numbering Plan Area.

NPA-NXX

A field containing the number of the Numbering Plan Area with an identifier of the specific telephone company central office serving that number.

Number In Chain

A field containing the priority assigned to a given record in the chain. The smallest number is processed first.

Number Of Attempts

A field containing the number of attempts. (It does not include redialing attempts in the event of errors.)

Record ID

A field containing the unique ID number for the current record.

Record Status

A field containing the status of the record.

Record Type

A field containing the type of record.

Scheduled Time

A field containing the time of a scheduled personal callback or a rescheduled call (from a treatment).

State Code

A field containing State or International code, for example, a U.S. or Canadian postal code such as CA for California.

Switch ID

A field containing a configuration database object that represents a physical or virtual switch.

Time Zone

A field containing the time zone offset of the record.

To

A field containing the time the dialing attempts should conclude.

Treatment History

A field containing the record of treatments that have been applied to a customer.

User-Defined Field

A user-defined field.


configuration database objects > Resources / Tenants > filters

Filters Overview

Use Filters to specify conditions for data selection from a data repository (for example, from a database table).

Filter object properties only specify the Filter's name and association with a particular Format. You specify the conditions of data selection on the Annex tab using the format required by the data repository from which the selection is to be made.

Filters created for SQL databases can use the following predefined keys:

Key | Value
order_by | Represents SQL statement “Order By.”
criteria | Represents SQL statement “Criteria.”

The character string limit for the value of a key-value pair is 254 characters.

Edit Filter Command

Outbound-related applications might require more configuration settings for a Filter object than are present on the General tab.

To configure those settings:

  1. Click the Annex tab.

  2. Click the Edit Filter button on the toolbar to load the Filter Settings window.

Consult the Outbound Contact documentation set for more information on these settings.


Filters: General Tab

configuration database objects > Resources / Tenants > filters

General Tab

General tab properties:

Name | The name of the Filter. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Filter. Once you set the value, you cannot change it.
Description | A brief description of the Filter.
Format | The Format to which this Filter is applied. You must specify a value for this property. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > formats

Formats Overview

Use Formats to specify Fields that form a data structure (for example, a database table).

Note: You cannot delete a Format as long as at least one Table Access or a Filter is associated with it.


Formats: General Tab

configuration database objects > Resources / Tenants > formats

General Tab

General tab properties:

Name | The name of the Format, up to 255 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Format. Once you set the value, you cannot change it.
Description | A brief description of the Format.


configuration database objects > Resources / Tenants > formats

Adding Fields to a Format

To add Fields to the Format, from the Fields folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired Fields from the list of Fields, and then drop them onto the Format icon.

Use the Find command to:

  • Look for the Fields currently assigned to a particular Format.

  • Find a Format that contains a particular Field.


configuration database objects > Resources / Tenants > formats

Removing Fields from a Format

To remove Fields from a Format:

  1. Select the desired Fields in the List view for that Format.

  2. Click the Delete button on the Configuration Manager toolbar.

You cannot remove a Field from a Format if at least one Table Access or Filter is associated with the Format.

Note: Removing Fields from a Format does not delete them from the Configuration Database.


configuration database objects > Resources / Tenants > ivrs

IVRs Overview

IVRs (Interactive Voice Responses) are telephony objects consisting of IVR Ports; they are controlled through IVR interface drivers.

When you register a new IVR in the Configuration Database, the Configuration Layer automatically creates an IVR Ports folder under this IVR.

When you delete an IVR, this also deletes all IVR Ports specified within the IVR. Their deletion may in turn cause modifications in other objects.


configuration database objects > Resources / Tenants > ivrs

General Tab

General tab properties:

Name | The name of the IVR. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this IVR. Once you set the value, you cannot change it.
Description | A brief description of the IVR.
Type | The type of this IVR. You must specify a value for this property.
Version | The version of the IVR. You must specify a value for this property.
IVR Interface Server | The name of the Application of the IVR Interface Server type that serves this IVR.


configuration database objects > Resources / Tenants > ivrs > ivr ports

IVR Ports Overview

IVR (Interactive Voice Response) Ports are telephony objects uniquely identified by the numbers within IVRs at which telephone calls may reside and be handled.

When you delete an IVR Port, this may affect some objects in the configuration.

To see associations between an IVR Port and other objects, use the Find command.


configuration database objects > Resources / Tenants > ivrs > ivr ports

General Tab

General tab properties:

Port Number | The number associated with a channel on an IVR. You must specify a value for this property, and that value can be equal to zero or any positive integer. It must be unique within the IVR with which it is associated.
Description | A brief description of this IVR Port.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this IVR Port. Once you set the value, you cannot change it. This value is set automatically to the name of the Tenant to which the IVR belongs.
IVR | The IVR to which this IVR Port belongs. You must specify a value for this property. Once you set the value, you cannot change it.
Associated DN | The DN associated with this IVR Port.
Associated Switch | The Switch to which the Associated DN belongs.


Objective Tables/Cost Contracts Overview

configuration database objects > Resources / Tenants > objectivETAbles/COST contracts

Objective Tables / COST CONTRACTS overview

Objective Tables are collections of Objective Records which define the correspondence between interaction attributes (such as Media type, Service type, and Customer segment) and service objectives.

Cost Contracts are a special type of Objective Table, which contain the information required for calculating the cost of an interaction to be routed. Cost Contracts contain Objective Records, each of which is associated with an IT Contract. Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


configuration database objects > Resources / Tenants > objectivETAbles/COST contracts > objectivETAbles

Objective Tables overview

Objective Tables are collections of Objective Records which define the correspondence between interaction attributes (such as Media type, Service type, and Customer segment) and service objectives.


Objective Tables:General Tab

configuration database objects > Resources / Tenants > objective tables/cost contracts > objectivETAbles

General Tab

General tab properties:

Name | The name of the Objective Table. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Objective Table. Once you set the value, you cannot change it.
Type | This object is an Objective Table, not a Cost Contract.
Description | A brief description of the Objective Table.
Objective records | A list of records in this Objective Table and their properties.


Objective Table Records Properties

configuration database objects > Resources / Tenants > objective tables/cost contracts > objectivETAbles

Objective Table Record tab

Objective Record properties:

Media Type | The range of Attribute Values for this field is defined within Media Type Business Attribute.
Service Type | The range of Attribute Values for this field is defined within Service Type Business Attribute.
Customer Segment | The range of Attribute Values for this field is defined within Customer Segment Business Attribute.
Service Objective Goal | Service Objective Goal defined for this Record.
Service Objective Delta | Service Objective Delta defined for this Record. Defines the step for Service Objective Goal deviation.


configuration database objects > Resources / Tenants > objectivETAbles/COST contracts > Cost Contracts

COST CONTRACTS overview

Cost Contracts are a special type of Objective Table, which contain the information required for calculating the cost of an interaction to be routed. Cost Contracts contain Objective Records, each of which is associated with an IT Contract.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information about Cost Contracts.


Cost Contracts: General Tab

configuration database objects > Resources / Tenants > objectivETAbles/COST contracts > Cost Contracts

General Tab

General tab properties:

Name | The name of the Cost Contract. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Cost Contract. Once you set the value, you cannot change it.
Type | Differentiates this Cost Contract object from an Objective Table object. This is a read-only field.
Description | A brief description of the Cost Contract.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


Cost Contracts: Objective Table Records Properties

configuration database objects > Resources / Tenants > objectivETAbles/COST contracts > Cost Contracts

Objective Record Properties

Objective Record properties:

Media Type | The type of media technology used for information exchange, for example voice, e-mail, and fax. The range of Attribute Values for this field is defined within Media Type Business Attribute.
Service Type | The service that a customer is requesting. The range of Attribute Values for this field is defined within Service Type Business Attribute.
Customer Segment | Categorizes a customer based on their revenue potential to the enterprise relative to a business line. The range of Attribute Values for this field is defined within Customer Segment Business Attribute.
Service Objective Goal | Service Objective Goal defined for this Record. For voice interactions, this is the target time for the voice call to be answered by a live agent.
Service Objective Delta | Service Objective Delta defined for this Record. Defines the step for Service Objective Goal deviation.
IT Contract | The IT Contract associated with this Cost Contract. If you wish to use conventional routing for this interaction type, leave this field blank.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


Cost Contracts: Advanced Tab

configuration database objects > Resources / Tenants > objectivETAbles/COST contracts > Cost Contracts

Advanced TAB

Advanced tab properties:

Total Prepaid Cost | The prepaid contract cost, for Volume Rate Contracts only.
Time Zone | The Time Zone for this Cost Contract and the Interaction Types specified in the General tab.
Start | The date on which to start the Cost Contract.
End | The date on which to end the Cost Contract.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


configuration database objects > Resources / Tenants > persons

Persons Overview

Persons are the contact center personnel, including agents, who need access to CTI applications.

The Genesys Framework requires that every person who needs such access be registered in the Configuration Database with an appropriate set of privileges.

Note: To run a particular application, a Person must have Read and Execute permissions with respect to the object representing this application in the Configuration Database.


Persons: General Tab

configuration database objects > Resources / Tenants > persons

General Tab

General tab properties:

First | The first name of this Person.
Last | The last name of this Person.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Person belongs. Once you set the value, you cannot change it.
Employee ID | A code, up to 64 bytes, identifying this Person within a contact center staff. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
E-Mail | The email address of this Person.
User Name | A name that this Person should use to log in to the Configuration Layer. You must specify a value for this property, and that value must be unique within the Configuration Database.
Enter Password | A password that this Person should use to log in to the Configuration Layer. You cannot view the existing password.
Re-enter Password | Confirmation of the password entered in the Password property.
External User ID | The user in the external LDAP repository. This may be the username in the LDAP system, or a whole or partial LDAP URL corresponding to RFC 2255. For additional information, refer to the Framework 7.6 External Authentication Reference Manual.
Is Agent | Indicates whether this Person is an Agent. If you select this box, the Agent Info tab appears. Once you set this flag, you cannot change it.


Persons: Ranks Tab

configuration database objects > Resources / Tenants > persons

Ranks Tab

This tab displays a list of the Person’s ranks with respect to GUI applications.

The Ranks mechanism allows the GUI applications to control which of their functions to make available to the currently logged in Person.

Consult the manuals for the Genesys GUI applications to see if those applications are using Ranks to enable or block certain functions. If a manual does not have any references to Ranks, the related applications do not use Ranks in any way, and you don't need to specify the Person’s Ranks with respect to the related application.

Do not confuse Application Ranks with Configuration Database permissions. Applications themselves verify Ranks, which specify what functionality is available to a user with regard to an application. Configuration Server verifies Permissions, which specify a level of access to the objects in the Configuration Database.


Persons: Agent Info Tab

configuration database objects > Resources / Tenants > persons

Agent Info Tab

Agent Info tab properties:

Default Place

A Place assigned to this Agent by default.

This optional parameter is applicable to a limited number of configurations, in particular those where a real-time association between a Place and an Agent cannot be established through a telephony login procedure.

Capacity Rule

The name of the Script of the Capacity Rule type that defines the ability of this Agent to handle multiple interactions. Refer to Reporting documentation for more information.

Cost contract

The Cost Contract associated with this Agent. Select a single object of type Cost Contract from the Objective Tables folder.

Site

The Site with which this Agent is associated. Select a single object from the list or from within a Configuration Unit.

Skills

A list of Skills assigned to this Agent. For each Skill, you can specify the level that is a relative measure of the Agent’s proficiency.

Login IDs

A list of the Agent Login codes assigned to this Agent. You cannot assign one Agent Login to more than one Agent simultaneously within the Switch.

Note: Some switches do not support transfer of information about an agent’s postcall work status through the CTI link. However, when this operation is supported, consider specifying the wrapup time, in seconds, for the Agent Logins that belong to such switches. This specification must match the corresponding setting in the Switch.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information about Cost-Based Routing.

You can modify (that is, create, change, or delete) contents of the Skills list for a particular Person or for a set of Persons, as described below.

Modifying Skills List Content for Multiple Persons

To add, change, or remove one or more Skills on the Agent Info tab for a set of Persons:

  1. Select two or more Person objects that have the Is Agent check box selected.

  2. Right-click the selected Persons to display the shortcut menu.

  3. Select Manage Skills from the shortcut menu.

  4. The wizard displays the complete list of Skills configured for one or more of the selected Persons. You can:

    • Specify new level value for any Skill on the list. This changes the Skill level parameter for the selected Persons that have this Skill configured.

    • Replace any Skill on the list with a new Skill. This changes the Skill for the selected Persons that had the replaced Skill configured.

    • Delete any Skill from the list. This removes the Skill from the Agents that had this Skill configured.

  5. If necessary, add a new Skill to the Skills list. This assigns the Skill, with the specified level, for all Persons you selected.

  6. Follow wizard instructions.

Creating a New Agent Login

You can create a new Agent Login at this tab. Follow these steps:

  1. Click the AddID button.

  2. At the New Properties dialog box that appears, click the folder icon to the right of the Login field.

  3. At the Browse window that appears, select a switch, and then select the Agent Logins folder.

  4. Click the file icon in the tool bar (this icon displays the tool tip "Create New Object").

  5. Select Agent Login from the drop-down menu to create a single new Agent Login.
    Select Range of Agent Logins (and then specify Start, Number of Codes, and Number of Digits) to create a sequential range of Agent Logins.

Modifying the Capacity Rule for Multiple Persons

To change the Capacity Rule on the Agent Info tab for multiple Persons:

  1. Select two or more Person objects that have the Is Agent check box selected.

  2. Right-click the selected Persons to display the shortcut menu.

  3. Select Manage Capacity Rule from the shortcut menu.

The Multiple Objects Update wizard displays tabs at the top of its window.

Use them in this way:

    • Select - Add or remove selected Agents from the list.

    • Edit - Modify existing Rule or create a new one.

    • Preview - Execute or Cancel the modifications.

  4. Follow wizard instructions.


Persons: Member Of Tab

configuration database objects > Resources / Tenants > persons

Member Of Tab

The Member Of tab displays a list of the Access Groups to which this Person is assigned. Use this tab to assign this Person to an Access Group, or to remove this Person from an Access Group.

Each new Person must be explicitly added to an Access Group. If the list of assigned Access Groups in this tab is empty, a warning is displayed.

To add this Person to one or more Access Groups:

  1. Click Add. A list of available Access Groups is displayed.

  2. Select one or more groups from the list of available Access Groups. Hold down the CTRL key to make more than one selection.

  3. Click Apply. The selected groups are displayed in the assigned Access Groups list.

To remove this Person from one or more Access Groups:

  1. Select one or more groups from the list of assigned Access Groups. Hold down the CTRL key to make more than one selection.

  2. Click Delete.

  3. Click Apply. The selected group or groups are removed from the assigned Access Groups list.


Skill Level

configuration database objects > Resources / Tenants > persons

Skill Level Properties

Skill | The Skill assigned to this Agent.
Level | The relative measure of the Agent’s proficiency in this Skill.


Adding Persons to an Access Group

configuration database objects > Resources / Tenants > persons

Adding Persons

All Persons in the configuration fall into two major categories: agents and nonagents.

If you register a particular Person as a nonagent, you cannot later change this status to Agent.

Every Person you register in the Configuration Database is considered to be a member of the special account called EVERYONE and cannot be removed from this account by any means.

Starting in 7.6, you must explicitly add each new person to one or more Access Groups. This is default behaviour. If you want new persons to be added automatically to pre-defined default Access Groups, as it was in releases prior to 7.6, you can disable the new behaviour using the no-default-access configuration option. Refer to the chapter "No Default Access for New Users" in the Genesys 7.6 Security Deployment Guide for detailed information about this feature, and how to use or disable it.

As an Administrator of a CTI installation, you can always match the needs of a particular environment by:

  • Moving Persons from one Default Access Group to another or to a user-defined Access Group.

  • Changing permissions that the members of a Default Access Group have with respect to certain configuration objects, at the object or folder level.

  • Changing permissions that the members of the EVERYONE account have with respect to certain configuration objects, at the object or folder level.

Cloning Access Group Privileges

You can add a new Person with the same access privileges as an existing person. This is sometimes called cloning a Person.

Cloning Prerequisites

The Configuration Manager View Options dialog must have these check boxes enabled:

  • Make New in Properties

  • Make New in Properties of existing objects

When these check boxes are enabled, the Properties dialog for a Person has these two changes:

  • A Make New button replaces the Apply button.

  • An Add to the same Access Group check box is at the bottom of the dialog box.

To create a new Person with cloned access privileges:

  1. Select a Person and right-click to open the Properties dialog box.

  2. Modify all the fields (you are creating a new Person).

  3. Be certain that the check box "Add to the same Access Group" is enabled.

  4. Click the Make New button.

The new Person belongs to the same Access Group as the Person you cloned.


configuration database objects > Resources / Tenants > persons

Deleting Persons

You can use accounts of individuals registered in the Configuration Database to define the access permissions of daemon Applications.

As long as a Person’s account remains associated with at least one Application, you cannot delete this Person from the Configuration Database.

Also, changing permissions of such an account without bringing the associated Applications down may cause those Applications to malfunction. If the default SYSTEM account is not adequate for describing the access needs of the daemon Applications, consider creating a number of imaginary Persons and setting their permissions in accordance with those needs.


Agent Login

configuration database objects > Resources / Tenants > persons

Agent Login Properties

Agent Login properties:

Login

The Agent Login code assigned to this Agent. You cannot assign an Agent Login to more than one Agent.

To assign an Agent Login to an Agent:

  1. Select an Agent Login under a Switch object. Drag and drop the Agent Login onto the Person object icon for this Agent.

  2. In the Agent Login Properties box, select the desired Agent Login from the Browse dialog box. The Browse dialog box only displays Agent Login objects not currently associated with any Agents. Use the Refresh function (F5 key) to update the Browse content. The Refresh function is useful when a number of users are simultaneously assigning Agent Logins to Agents.

Wrapup Time

Some switches do not support transfer of information about an agent’s postcall work status through the CTI link. However, when this operation is supported, consider specifying the wrapup time, in seconds, for the Agent Logins that belong to such switches. This specification must match the corresponding switch setting.


configuration database objects > Resources / Tenants > persons

Rank Properties

Rank properties:

Application Type | The type of the Application a Person needs access to. Consult the manuals for a GUI application to see if this application is using Ranks to enable or block certain functions. If a manual does not contain any references to Ranks, this application does not use Ranks, and you don't need to specify the Person’s Ranks with respect to this application.
Application Rank | The Rank with respect to Applications of the specified type.


configuration database objects > Resources / Tenants > place groups

Place Groups Overview

You can group Places if, according to the call-processing algorithms, the calls have to be distributed among a set of Places under the control of CTI applications rather than through the ACD mechanisms of the Switch.

As an example, consider a call-parking service, where a routing application transfers a call to one of the ports assigned to a call-parking Place Group and attaches the information about the treatment to be applied to that call while it is parked.


Places Groups: General Tab

configuration database objects > Resources / Tenants > place groups

General Tab

General tab properties:

Name | The name of the Place Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this Place Group contains at least one Place.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Place Group belongs. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > place groups

Advanced Tab

Advanced tab properties:

Capacity Table | A Capacity Table associated with this Group.
Quota Table | A Quota Table associated with this Group.
Cost contract | A Cost Contract associated with this Group. Select a single Cost Contract object from the Objective Tables folder. This field is used only with Cost-Based Routing.
Site | A Site with which this Place Group is associated. Select a single object from the list or from within a Configuration Unit.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Group. You can include DNs of the following types into this list: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.

Refer to Universal Routing 7.6 Routing Solutions Guide for more information about Cost-Based Routing.


Place Groups: Adding Places

configuration database objects > Resources / Tenants > place groups

Adding Places to a place group

To add Places to a Place Group, from the Places folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired Places from the list of Places, and then drop them onto the Place Group icon.

You can assign one Place to more than one Place Group simultaneously.

Use the Find command to:

  • Find all Places that match certain criteria; for example, contain DNs that belongs to a particular Switch.

  • Select all Places assigned to a particular Place Group.

  • Find all Place Groups to which a particular Place is assigned.


Place Groups: Removing Places

configuration database objects > Resources / Tenants > place groups

Removing Places from a place group

To remove Places from the Place Group:

  1. Select the desired Places in the List view for that Place Group.

  2. Click the Delete button on the Configuration Manager toolbar.

Note: Removing Places from a Place Group does not delete them from the Configuration Database.


configuration database objects > Resources / Tenants > places

Places Overview

A Place is a location that has one or more DNs operated by a single agent.

Configure Places and assign individual DNs to them in order to monitor performance and availability of Agents, Agent Groups, and Place Groups and to provide this information to call-processing applications.

A typical Agent Place consists of two DNs: one DN that an agent uses to take customer calls while the other DN the agent uses to make consultation calls and transfers. If you are using the multimedia options of the Genesys products, Places may have to be equipped with DNs of other types, such as E-mail Address.

Make sure the configuration of Places in the Configuration Database always matches the actual wiring arrangements in the contact center.

Note: Before deleting a Place, consider using the Find command to identify any Place Groups that may be affected.


Places: General Tab

configuration database objects > Resources / Tenants > places

General Tab

General tab properties:

Name | The name of this Place. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Place Group belongs. Once you set the value, you cannot change it.
Capacity Rule | The name of the Script of the Capacity Rule type that defines the capacity information for this Place. Refer to Reporting documentation for more information.
Cost contract | The Cost Contract associated with this Place. Select a single Cost Contract object from the Objective Tables folder. Refer to Universal Routing 7.6 Routing Solutions Guide for more information.
Site | The Site with which this Place is associated. Select a single object from the list or from within a Configuration Unit.


DNs: Adding to a Place

configuration database objects > Resources / Tenants > places

Adding DNs to a Place

To add DNs to the Place, from the DNs folder, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the selected DNs from the list of DNs and then drop them onto the Place icon.

You cannot include the following DN types in a Place: Access Resource, ACD Queue, Routing Point, Virtual ACD Queue, Virtual Routing Point, Trunk, Trunk Group, Tie Line, Tie Line Group, External Routing Point, and Routing Queue.

Note: You can assign a DN to only one Place.

Use the Find command to:

  • Look for DNs currently assigned to a particular Place.

  • Find the Place that contains a particular DN.


configuration database objects > Resources / Tenants > places

Removing DNs from a Place

To remove DNs from a Place:

  1. Select the desired DNs in the List view for that Place.

  2. Click the Delete button on the Configuration Manager toolbar.

Note: Removing DNs from a Place does not delete them from the Configuration Database.


configuration database objects > Resources / Tenants > scripts

Scripts Overview

Scripts identify processing scenarios or treatments that can be applied to customer interactions.

Depending on the Application type, a scenario or treatment itself may be part of the Script object, in which case it is listed on the Annex tab of the Script object. Special GUI applications, not Configuration Manager, create such Script objects. Because these applications use their own formats for data storage, viewing the contents of a Script’s Annex through Configuration Manager may not be of help. For more information about this subject, refer to the application manuals that discuss creation and execution of relevant Scripts.

To create Alarm Condition Scripts, Alarm Detection Scripts, and Alarm Reaction Scripts, you must use the Wizards in Solution Control Interface. Refer to Framework 7.6 Solution Control Interface Help for details.


Scripts: General Tab

configuration database objects > Resources / Tenants > scripts

General Tab

General tab properties:

Name | The name of the Script. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Script Type | The type of the Script. You must specify a type. Once you set the type, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Tenant belongs. Once you set the value, you cannot change it.


configuration database objects > Resources / Tenants > skills

Skills Overview

Skills are qualities or abilities that agents possess that affect how they are placed in a contact center hierarchy.

Common skills include abilities in different languages, particular categories of product knowledge, or ability in particular types of sales.

You can manage skills for People as individuals, or in groups.

To view, change, add, or delete skills for a single Person:

  1. Right-click that Person in the List View.

  2. Select Properties from the drop-down menu.

  3. Select the Agent Info tab from the Properties dialog box.

To manage skills for an arbitrary group of Persons:

  1. Select multiple Persons in the List View.

  2. Right-click and select Manage Skills from the drop-down menu.

To view a list of all Persons with a particular skill, use the Find command.


Skills: General Tab

configuration database objects > Resources / Tenants > skills

General Tab

General tab properties:

Name | The name of the Skill. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Skill belongs. Once you set the value, you cannot change it.


Statistical Days/Day Contracts Overview

configuration database objects > Resources / Tenants > Statistical Days/Day Contracts

Statistical Days / Day Contracts Overview

A Statistical Day is a numerically expressed workload that a particular Agent Group is expected to handle during a particular business day.

If you are using Cost-Based Routing, a Statistical Day also includes base rates, and penalties for processing a volume over and below the expected workload. In this case, the Statistical Day is referred to as a Day Contract. Day Contracts apply only to Volume Rate IT Contracts. Refer to the Universal Routing Routing Solutions Guide for more information about Day Contracts.


configuration database objects > Resources / Tenants > statistical days/day contracts > Statistical days

Statistical Days Overview

A Statistical Day is a numerically expressed workload that a particular Agent Group is expected to handle during a particular business day.


Statistical Days: General Tab

configuration database objects > Resources / Tenants > Statistical Days/Day contracts > Statistical days

General Tab

General tab properties:

Name | The name of the Statistical Day. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Statistical Day belongs. Once you set the value, you cannot change it.
Type | The type of the Statistical Day.
Any Day, Day of Week, Day of Year, Specific Date | These parameters identify the calendar day(s) to which the statistical values of the Statistical Day apply.


Statistical Days: Statistic Tab

configuration database objects > Resources / Tenants > Statistical Days/Day contracts > Statistical days

Statistic Tab

Statistic tab properties:

Business Day Start | Start time of the Business Day. The value must be a positive number expressed in hours, minutes, and seconds from 00:00:00 AM/PM.
Business Day End | End time of the Business Day. The value must be a positive number expressed in hours, minutes, and seconds from 00:00:00 AM/PM. If the value is less than Business Day Start, it is implied that the Business Day ends the next calender day.
Statistical Values Min | A statistical value that represents the minimum expected workload for the whole day. This property is reserved for future use.
Statistical Values Max | A statistical value that represents the maximum expected workload for the whole day. This value cannot be less than the setting for the Statistical Values Min. This property is reserved for future use.
Target Value | A statistical value that represents the target workload for the whole day. The Target Value cannot be less than the setting for the Statistical Values Min or greater than the setting for the Statistical Values Max. This property is reserved for future use.
Interval Length | The Statistical Interval in minutes. This parameter is used to break up the Statistical Day into smaller time slots that allow a model for load distribution throughout the day to be specified in the property “Intervals.” This value must be a multiple of 5. Once you set the value, you cannot change it.
Intervals | A list of Statistical Intervals that allows each Statistical Interval to be associated with certain statistical values. For each interval, specify as many as four types of values to represent the expected load during that interval. The first interval is numbered 1 and is always counted from the Start time of the Business Day.

Note: Do not set any properties on this tab when a Statistical Day object is configured for use in a Statistical Table of the Special Day Table type.


configuration database objects > Resources / Tenants > Statistical Days/Day contracts > Statistical days

Statistical Interval

Use a Statistical Interval to associate each Statistical Interval with certain Statistical Values.

For each interval, specify values representing the expected load during that interval. The value must be numeric and unique within the statistical field.

When you are configuring a Statistical Day object for use in a Statistical Table of the Capacity Table type, specify:

  • Statistical Value 1—A number of agents.

  • Statistical Value 2—An average handling time.

When you are configuring a Statistical Day object for use in a Statistical Table of the Quota Table type, specify:

  • Statistical Value 1—A statistical value that represents the minimum expected workload for the interval.

  • Statistical Value 2—A statistical value that represents the target workload for the interval. This value cannot be less than the setting for the Statistical Value 1 or greater than the setting for the Statistical Value 3.

  • Statistical Value 3—A statistical value that represents the maximum expected workload for the interval. This value cannot be less than the setting for the Statistical Value 1.


Day Contracts Overview

configuration database objects > Resources / Tenants > statistical days/day contracts > day contracts

Contract DAYS Overview

If you are using Cost-Based Routing, a Statistical Day also includes base rates, and penalties for processing a volume over and below the expected workload. In this case, the Statistical Day is referred to as a Day Contract.

Day Contracts apply only to Volume Rate IT Contracts. Day Contracts allow the base rate to vary to accommodate volume fluctuations that may occur on different days of the week, weekends, and exception days such as holidays.

Refer to the Universal Routing Routing Solutions Guide for more information about Day Contracts.


Day Contracts: General Tab

configuration database objects > Resources / Tenants > statistical days/day contracts > day contracts

General Tab

General tab properties:

Name | The name of the Day Contract. You must specify a value for this property, and that value must be unique within the Configuration Database (in a single-tenant environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Day Contract belongs. Once you set the value, you cannot change it.
Type | The type, which defaults to Day Contract. Do not change this value.
Any Day, Day of Week, Day of Year, Specific Date | These parameters identify the day to which the statistical values of the Day Contract apply.

Refer to the Universal Routing Routing Solutions Guide for more information.


Day Contracts: Advanced Tab

configuration database objects > Resources / Tenants > statistical days/day contracts > day contracts

Advanced Tab

Advanced tab properties:

Business Day Start | Start time of the Business Day. The value must be a number expressed in hours, minutes, and seconds from 00:00:00 AM/PM.
End | End time of the Business Day. The value must be a number expressed in hours, minutes, and seconds from 00:00:00 AM/PM. If the value is less than Business Day Start, it is implied that the Business Day ends the next calender day.
Time Interval | The number of minutes in the Volume Period.
Flat Rate | The Flat Rate to be applied during this Volume Period, if any.
Forecast allowance without penalty | The percentage of the forecasted volume of routed interactions for this Volume Period that can be over- or underestimated without incurring a penalty. This allowance applies throughout the whole day, including intervals. The value must be a positive value.
Under forecasted penalty | The percentage of the forecasted volume of routed interactions for this Volume Period that must be achieved to avoid a penalty for forecasting too high.
Over | The percentage of the forecasted volume of routed interactions for this Volume Period that cannot be exceeded to avoid a penalty for forecasting too low.
Volume Period Table | A list of intervals during the day that are associated with Cost-Based Routing values. For each interval, specify the forecast volume and base rate for that interval, and any penalties for variations from the forecast. The first interval is numbered 1 and is always counted from the Business Day Start.

Refer to the Universal Routing Routing Solutions Guide for more information.


Volume Intervals

configuration database objects > Resources / Tenants > statistical days/day contracts > day contracts

Volume Period Interval

Use a Volume Period Interval to associate intervals during the day with Cost-Based Routing values.

Volume Period | The interval number. The first interval is numbered 1 and is always counted from the start time of the Business Day.
Forecasted Volume | The volume of interactions expected within the time period.
Base Rate | The total cost of all interactions expected within the time period.
Penalty for Interaction for Over Forecast | The additional cost, per interaction, for exceeding the forecasted interaction volume beyond that allowed by the Forecast Allowance Penalty. In effect, this is a penalty for forecasting too low.
Penalty for Interaction for Under Forecast | The additional cost, per interaction, for not achieving the forecasted interaction volume beyond that allowed by the Forecast Allowance Penalty. In effect, this is a penalty for forecasting too high.

Refer to the Universal Routing Routing Solutions Guide for more information.


Statistical Tables/IT Contracts Overview

configuration database objects > Resources / Tenants > Statistical tableS/IT Contracts

Statistical Tables / IT COntracts Overview

Statistical Tables are groups of Statistical Days that represent statistically modeled performances of Agent Groups over a calendar period of up to one year. Call-processing applications can use Statistical Tables to provide load balancing between Agent Groups when the real-time statistics for those groups are unavailable.

Interaction Type (IT) Contracts represent sub-contracts of a Cost Contract, with one sub-contract for each Interaction Type. Each IT Contract represents the cost of that interaction, and is based on one of two calculation methods, as follows:

  • Volume rate method, where the interaction cost is calculated based on forecasted volume, and a rate for that volume. IT Contracts using this method are called Volume Rate Contracts.

  • Variable rate method, where the interaction cost is calculated based on a predefined call cost or agent cost. IT Contracts using this method are called Variable Rate Contracts.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information about IT Contracts.


configuration database objects > Resources / Tenants > Statistical tableS/IT Contracts > Statistical tables

Statistical Tables Overview

Statistical Tables are groups of Statistical Days that represent statistically modeled performances of Agent Groups over a calendar period of up to one year. Call-processing applications can use Statistical Tables to provide load balancing between Agent Groups when the real-time statistics for those groups are unavailable.


Statistical Tables: General Tab

configuration database objects > Resources / Tenants > Statistical tables/IT contracts > Statistical Tables

General Tab

General tab properties:

Name

The name of the Statistical Table. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which this Statistical Table belongs. Once you set the value, you cannot change it.

Type

The type of Statistical Table. Once you set the value, you cannot change it. The three types of Statistical Tables are:

  • Capacity Table: The call-processing applications compare the values specified in the Statistical Days Intervals list.

  • Quota Table: The call-processing applications compare the Minimum, Maximum, and Target values specified in the Statistical Days.

  • Special Day Table: The call-processing applications can identify certain days (for example, holidays).


Statistical Tables: Adding Statistical Days

configuration database objects > Resources / Tenants > Statistical tables/IT contracts > Statistical Tables

Adding Statistical Days

To add Statistical Days to the Statistical Table, do one of the following:

  • Use the Copy and Paste commands.

  • Hold down the CTRL key on the keyboard, drag the desired Statistical Days, and then drop them onto the Statistical Table icon.

Note: You can assign one Statistical Day to more than one Statistical Table simultaneously. You cannot, however, assign two Statistical Days which represent the same calendar day to one Table.

When you create a Statistical Table, consider the following rules that the call-processing applications use to decide which Statistical Day to use on a particular calendar day:

  • First, the application searches for a Statistical Day whose “Day of Year” matches the current day.

  • If the application finds a match, it loads values of this Day.

  • If the application does not find a match, it searches for a Statistical Day whose “Day of Week” matches the current day of week.

  • Again, if the application finds the match, it loads values of this Day. Otherwise, the application uses values of the Statistical Day set to “Any Day.”

Note: Unless you have created Statistical Days for every day of the week or every day of the year, you must create a Statistical Day set to “Any Day” in the Statistical Table to make sure that the load-balancing features are available every day.


Statistical Tables: Associating with Groups

configuration database objects > Resources / Tenants > Statistical tables/IT contracts > Statistical Tables

Associating with Groups

To associate a Statistical Table with an Agent Group:

  1. Open the Properties dialog box for that group.

  2. Click the Advanced tab, and use the Browse button to select a table from the list that appears.

Note: The Configuration Layer also allows you to associate Statistical Tables with Place Groups and DN Groups. For more information about how Genesys products use Statistical Tables, refer to solution-specific documentation.


configuration database objects > Resources / Tenants > Statistical tables/it contracts > IT COntracts

IT COntracts Overview

Interaction Type (IT) Contracts represent sub-contracts of a Cost Contract, with one sub-contract for each Interaction Type. Each IT Contract represents the cost of that interaction, and is based on one of two calculation methods:

  • Volume rate method, where the interaction cost is calculated based on forecasted volume, and a rate for that volume. IT Contracts using this method are called Volume Rate Contracts.

  • Variable rate method, where the interaction cost is calculated based on a predefined call cost or agent cost. IT Contracts using this method are called Variable Rate Contracts.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


IT Contracts: General Tab

configuration database objects > Resources / Tenants > Statistical tables/it contracts > IT COntracts

General Tab

General tab properties:

Name | The name of the IT Contract. You must specify a value for this property, and that value must be unique within the Configuration Database (in a single-tenant environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this IT Contract belongs. Once you set the value, you cannot change it.
Type | The type of IT Contract Table - Volume Contract Table or Variable Rate Contract Table. Once the type is selected, it cannot be changed.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


IT Contracts: Advanced Tab

configuration database objects > Resources / Tenants > Statistical tables/it contracts > IT COntracts

Advanced TAB

Advanced tab properties:

Flat Rate | A flat rate measured in cost units.
Agent Hourly Rate | The hourly rate for an agent.

Refer to the Universal Routing 7.6 Routing Solutions Guide for more information.


configuration database objects > Resources / Tenants > Switches

Switches Overview

A Switch is an aggregate of telephony resources within a Switching Office.

Most enterprise-level configurations have a one-to-one match between the Switches and the Switching Offices. However, there may be instances when it is desirable to partition the office into more than one Switch, perhaps due to CTI–link capacity limitations, or to create a more efficient and secure numbering plan. In that case, you must define a Switch within a Switching Office.

When you register a new Switch in the Configuration Database, the Configuration Layer automatically creates two folders under this Switch, for DNs and Agent Logins respectively.

When you delete a Switch, this also deletes all DNs and Agent Logins specified within the Switch. Their deletion may in turn cause modifications in other objects.


Switches: General Tab

configuration database objects > Resources / Tenants > Switches

General Tab

General tab properties:

Name

The name for the Switch. You must specify a value for this property, and that value must be unique within this Switching Office (in either an enterprise or a multi-tenant environment) or within this Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which you allocate this Switch. You must specify a value for this property. Once you set the value, you cannot change it.

Switching Office

The Switching Office to which this Switch belongs. You must specify a value for this property. Once you set the value, you cannot change it.

T-Server

The T-Server application through which the telephony objects of this Switch are controlled. Once you establish the association, it cannot be broken as long as the specified T-Server has at least one client application.

Note: This tab exists for backward compatibility only. Configure an association between T-Server and its Switch on the Switches tab of the T-Server Application Properties dialog box.

Switch Type

The type of Switching Office to which this Switch belongs. This value is set automatically.

DN Range

An internal numbering plan of the Switch. Use a hyphen to specify a range of numbers. Use commas to specify a series of stand-alone numbers or ranges. For example: 1100-1179, 1190-1195, 1199. While this parameter is optional, it may be important for T-Server operation with certain types of Switches.


Switches: Access Codes Tab

configuration database objects > Resources / Tenants > Switches

Access Codes Tab

This tab displays a list of Access Codes that are used to place, route, or transfer calls from this Switch to other Switches in a multi-site installation.

Depending on the structure of a numbering plan, you may or may not need access codes to reach DNs that belong to different Switches of a multi-site telephone network.

You can modify (that is, create, change, or delete) contents of the Access Codes tab for a particular Switch or for a set of Switches, as described below.

Modifying Access Codes Tab Content for Multiple Switches

To add, change, or remove one or more access codes on the Access Codes tab for a set of Switches:

  1. Select two or more Switch objects.

  2. Right-click the selected Switches to display the shortcut menu.

  3. Select Manage Access Codes from the shortcut menu.

  4. The wizard displays the complete list of remote Switches configured among Access Codes for one or more of the selected Switches. You can:

    • Specify new values for the access codes parameters for any remote Switch on the list. This changes the remote Switch's access code parameters for the Switches that have this access code configured.

    • Replace any remote Switch on the list with a new Switch. This changes the remote Switch and sets its access code parameters for the Switches that had the replaced access code configured.

    • Delete any remote Switch from the list. This removes the remote Switch along with its access code parameters from the Switches that had this access code configured.

  5. If necessary, add a new remote Switch with its access code parameter. This configures an access code to this Switch, with the specified parameters, for all Switches you selected.

  6. Follow wizard instructions.


Switch Access Codes

configuration database objects > Resources / Tenants > Switches

Switch Access Code Properties

Switch

The Switch to which you assign this Access Code. You must specify a value for this property.

Code

The prefix used to reach DNs of the Switch specified in the Switch property when placing or transferring calls from DNs of the Switch to the object for which you are configuring. You must specify a value for this property.

You must specify an Access Code in full accordance with the numbering plan of the contact-center telephone network, and must make any changes to the Access Codes only after the corresponding changes have been made to the telephone network.

Target Type

A type of target within the Switch, for which you are specifying all routing parameters.

Note: The combination of values of its first three properties—Switch, Code, and Target Type—defines uniqueness of the Switch Access Codes. You may specify a few Access Codes with the same code to the same Switch as long as they have different Target Types.

Route Type

A type of routing for the target specified in the Target Type for this Switch.

DN Source

Informational source that specifies the origination point in routing instructions.

Destination Source

Informational source that specifies the destination in routing instructions.

Location Source

Informational source that specifies the location in routing instructions.

DNIS Source

Informational source that specifies the DNIS in routing instructions.

Reason Source

Informational source that specifies the reasons in routing instructions.

Extension Source

Informational source that specifies the extensions in routing instructions.

ISCC Protocol Parameters

Parameters of the ISCC (Inter Server Call Control, formerly known as External Routing) protocol. This property is displayed when you set Target Type to Target ISCC and is meaningful when you set Route Type to ISCC defined protocol.

Refer to the Framework 7.6 T-Server Deployment Guide for your particular T-Server for more information.

ISCC Call Overflow Parameters

Additional parameters for T-Server's External Call Handling feature. This property is displayed when you set Target Type to Target ISCC.

Refer to the Framework 7.6 T-Server Deployment Guide for your particular T-Server for more information.


configuration database objects > Resources / Tenants > Switches

Default Access Codes Tab

This tab displays a list of Access Codes that can be used by default to place, route, or transfer calls to this Switch from any other Switches in a multi-site installation.

Depending on the structure of a numbering plan, you may or may not need access codes to reach DNs that belong to different Switches of a multi-site telephone network.


configuration database objects > Resources / Tenants > Switches

Default Access Code Properties

Code

The prefix used to reach DNs of the Switch whose object you are configuring when placing or transferring calls from DNs of another Switch. You must specify a value for this property.

You must specify an Access Code in full accordance with the numbering plan of the contact-center telephone network, and must make any changes to the Access Codes only after the corresponding changes have been made to the telephone network.

Target Type

A type of target within this Switch, for which you are specifying all routing parameters.

Note: The combination of values of its first three properties—Switch, Code, and Target Type—defines uniqueness of the Switch Access Codes.

Route Type

A type of routing for the target specified in the Target Type for this Switch.

DN Source

Informational source that specifies the origination point in routing instructions.

Destination Source

Informational source that specifies the destination in routing instructions.

Location Source

Informational source that specifies the location in routing instructions.

DNIS Source

Informational source that specifies the DNIS in routing instructions.

Reason Source

Informational source that specifies the reasons in routing instructions.

Extension Source

Informational source that specifies the extensions in routing instructions.

ISCC Protocol Parameters

Parameters of the ISCC (Inter Server Call Control, formerly known as External Routing) protocol. This property is displayed when you set Target Type to Target ISCC and is meaningful when you set Route Type to ISCC defined protocol.

Refer to the Framework 7.6 T-Server Deployment Guide for your particular T-Server for more information.

ISCC Call Overflow Parameters

Additional parameters for T-Server's External Call Handling feature. This property is displayed when you set Target Type to Target ISCC.

Refer to the Framework 7.6 T-Server Deployment Guide for your particular T-Server for more information.


configuration database objects > Resources / Tenants > Switches > Agent Logins

Agent Logins Overview

Agent Logins are unique codes defined within a Switch and assigned to agents. They identify which Agent is working at which Place during a particular working session.

Configuration of Agent Logins in the Configuration Database must exactly match the configuration of those Agent Logins in the switching system. Before adding or deleting a particular Agent Login, make sure that the same change was made in the database of the switching system.

When you specify Agent Logins as objects in a Switch, they are not associated with any particular agents. For information about how to assign Agent Logins to Agents, refer to the Agent Info tab and Agent Login Properties of the Persons Properties dialog box.

Note: Deleting an Agent Login may affect the configuration of a particular Agent in the contact center. Before deleting an Agent Login, consider using the Find command to identify the Agent to which this Login is assigned.


Agent Logins: General Tab

configuration database objects > Resources / Tenants > Switches > Agent Logins

General Tab

General tab properties:

Code | The Agent Login code. You must specify a value for this property, and that value must be unique within the Switch. Once you set the value, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Agent Login belongs. This value is set automatically, and you cannot change it.
Switch | The Switch to which this Agent Login belongs. You must specify a value for this property. Once you set the value, you cannot change it.


Agent Logins: Advanced Tab

configuration database objects > Resources / Tenants > Switches > Agent Logins

Advanced Tab

You can use this tab's properties with a limited number of specific call-processing scenarios or switch-specific settings.

For more information about the meaning and use of the Advanced Agent Login properties, refer to T-Server and solution-specific documentation.

Advanced tab properties:

Use Override | Indicates whether the override value should be used instead of the Code value for accessing this Agent Login in certain types of routing. The substitution only takes effect if you specify the override value and select the check box. The override value must be unique within the Switch.
Switch-specific Type | An integer that corresponds to a combination of switch-specific settings for this Agent Login. This value must be 1 or greater.
Enter Password | A security protection key used along with this Agent Login to authenticate a Person for contact center activity. You cannot view the existing password. Note: You can associate one Person with more than one password-protected Agent Logins.
Re-enter Password | Confirmation of the password entered in the Password property.


Agent Logins: Adding Ranges of

configuration database objects > Resources / Tenants > Switches > Agent Logins

Adding Ranges

To save time and effort by adding ranges of Agent Logins with consecutive codes in one procedure, do the following:

  1. Click the Agent Logins folder.

  2. Select New -> Range of Agent Logins from the File menu.

  3. Type in the first code in the range.

  4. Specify the number of codes in the range.

  5. Specify the number of digits for each code.


configuration database objects > Resources / Tenants > Switches > dns

DNs Overview

DNs are communication devices, uniquely identified by their directory numbers, where customer interactions (for example, telephone calls or e-mails) reside and are handled.

Because most types of DNs represent the actual devices of the telephone system, their specification in the Configuration Database must always correspond to their Switch settings. Remember that the Configuration Layer has no way of verifying this correspondence.

As a general rule, changes made to DN configurations in the CTI database must always follow the changes made to DNs within the telephone systems, and never the other way around.

Deleting a DN may affect some objects in the configuration. To see associations between a DN and other objects, use the Find command.


DNs: General Tab

configuration database objects > Resources / Tenants > Switches > dns

general Tab

General tab properties:

Number

A directory number assigned to this DN within the Switch. You must specify a value for this property, and that value must be unique within the Switch for all DN types except the Destination Label type. Once you set the value, you cannot change it.

The Configuration Layer does not verify the correspondence between the numbers assigned to DNs and the switch's numbering plan defined by the DN Range property of the Switch. If, according to T-Server specifications, such correspondence is important in an environment, make sure that the specified DN Range covers all DN numbers that are defined within the Switch in question.

Type

The type of this DN. You must specify a value for this property. Once you set the value, you cannot change it.

Tenant

In a multi-tenant configuration environment, the Tenant to which this DN belongs. This value is set automatically, and you cannot change it.

Switch

The Switch to which this DN belongs. You must specify a value for this property. Once you set the value, you cannot change it.

Association

An entity permanently associated with this DN (for example, an IVR port number, channel name, or access number).

For DNs of External Routing Point type, this number may be required to substitute for the actual DN directory number and may be used when placing calls to this routing point from another Switch.

Register

Indicates whether T-Server must register this DN within the Switch. From the drop down menu, select one of the following values:

  • False—T-Server should never register the DN in question on the switch, but process it locally.

  • True—T-Server should always register the DN on the switch during T-Server startup or CTI link reconnect.

  • On-Demand—T-Server should register the DN only when a T-Server client requests the registration. Consult T-Server documentation for more information.

Warning! The last two values force T-Server to register this DN regardless of the State Enable setting.


DNs: Advanced Tab

configuration database objects > Resources / Tenants > Switches > dns

Advanced Tab

You can use this tab's properties with only a number of specific call-processing scenarios or switch-specific settings.

For more information about the meaning and use of the advanced DN properties, refer to documentation for T-Server and call-processing applications.

All of the properties on the Advanced tab are optional. The default values that Genesys preset fit the widest range of configuration needs. Genesys does not recommend changing the defaults unless you are certain that a CTI installation requires another value.

Advanced tab properties:

Alias

An alternative name for this DN. You must specify a value for this property if the DN is used as a target in routing instructions. If you specify this value, it must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Route Type

The type of routing that applies to this DN.

Group

The group of DNs associated with this DN to be used in number translation.

Use Override

Indicates whether the override value should be used instead of the number or name value for accessing this DN in certain types of routing. The substitution only takes effect if you specify both the override value and select the check box. The override value must be unique within the Switch.

Login ID

The login identifier used to activate this DN. Some types of switching systems require that the login code used to activate a particular DN be permanently associated with this DN. In that case, the Login ID may be applicable to the following types of DNs: ACD Position, Extension, Voice Treatment Port, Voice Mail, or Mixed.

Resource Type

This property is only displayed for DNs of the Access Resource type. Possible values are dnis or cof-in, which identify this Access Resource as a DNIS Label or a Call Overflow (COF) inbound queue respectively. Leaving this property empty identifies this Access Resource as an External Routing Point. For more information, refer to the Framework 7.6 T-Server Deployment Guide for your particular T-Server.

Switch-specific Type

An integer that corresponds to a combination of switch-specific settings for this DN as defined in the T-Server documentation. This value must be 1 or greater.

Number of Trunks

The number of trunks associated with this DN. It applies only if the Type property has a Network Destination value.

Cost contract

Site

The cost contract and site with which this DN is associated. These fields appear only for the following DN types:

  • Routing Point

  • External Routing Point

  • Service Number

  • Routing Queue

  • ACD Queue

  • Virtual Queue

  • Virtual Routing Point


DNs: Default DNs

configuration database objects > Resources / Tenants > Switches > dns

Default DNs tab

This tab displays a list of DNs to which calls can be routed or diverted by default from this DN.

The Default DNs tab applies only to the following DN types:

  • Routing Point

  • External Routing Point

  • Service Number

  • Routing Queue

  • ACD Queue

  • Virtual Queue

  • Virtual Routing Point


DNs: Access Numbers Tab

configuration database objects > Resources / Tenants > Switches > dns

Access Numbers Tab

This tab displays a list of numbers that are dialed from the specified Switch to reach this DN.

It is only applicable to the External Routing Point or Access Resource DN types.

Access Numbers tab properties:

Switch | The Switch from which the Access Number is dialed. You must specify a value for this property.
Number | The number to be dialed from the Switch specified in the Switch property to reach the specific External Routing Point or Access Resource (this DN). You must specify a value for this property.


configuration database objects > Resources / Tenants > Switches > dns

Remote Resources Tab

This tab displays a list of DNs to be used in multi-site routing.

It is only applicable for the Access Resource DN type.


configuration database objects > Resources / Tenants > Switches > dns

DN Types

Access Resource | A switch access resource to be used in a multi-site environment for external routing.
ACD Position | An extension designated for customer interactions only.
ACD Queue | A device in a Switch typically associated with a number of targets, where customer interactions wait while the control system is looking for an available target.
Call Processing Port | An extension connected to a call-processing equipment port.
Chat | A Chat address.
CoBrowse | A Co-Browse address.
Communication DN | A virtual device that applications use through the User Event mechanism to communicate with each other.
E-mail Address | An e-mail address.
Extension | A regular extension line.
External Routing Point | An ISCC (Inter Server Call Control) resource dedicated to supporting the external routing and call overflow functions.
Fax | An extension connected to a fax machine.
Mixed | An extension line that can be used as both an Extension and an ACD Position.
Mobile Station | A mobile station.
Modem | An extension connected to data communication equipment.
Music Port | A music source.
Network Destination | A destination number in network routing.
Routing Point | A device in a Switch, not associated with any particular target, where customer interactions wait while a CTI Application is making routing decisions.
Routing Queue | A telephony device that can be used as both a Routing Point and an ACD Queue.
Service Number | A service number used as a Routing Point in network routing.
Tie Line | A direct communication channel between two Switches of a private telephone network.
Tie Line Group | A group of tie lines forming one route.
Trunk | A communication channel between the public telephone network and a private telephone network.
Trunk Group | A group of trunks forming one route.
Video over IP Port | A video channel.
Virtual Queue | A virtual device, which a CTI installation creates and maintains, with activity identical to an ACD Queue. It is created and maintained by a CTI installation.
Virtual Routing Point | A virtual device, which a CTI installation creates and maintains, with activity identical to a Routing Point.
Voice Mail | A voice mail channel.
Voice over IP Port | A voice over an IP Port.
Voice over IP Service | A voice over an IP Service.
Voice Treatment Port | An extension connected to an electronic audio equipment port (for example, IVR).
Workflow | A Workflow resource.


DNs: Adding Ranges of

configuration database objects > Resources / Tenants > Switches > dns

Adding Ranges

To add DNs of the same type with consecutive numbering in ranges:

  1. Click the DNs folder.

  2. From the File menu, select New > Range of DNs.

  3. Enter the first number in the range into the Start field for Number. If you wish to create a range that includes alpha characters (as illustrated below), enter the characters into the Pref and Suf fields for Number.

  4. Enter the total number of DNs to create into the Number of DNs field and the number of digits to be in the variable portion of the DNs that you are creating into the Number of Digits field.

  5. From the DN Type drop-down menu, select the type of DNs you want to add.

  6. For example, the illustration above would create these email addresses: aaa01@b.com, aaa02@b.com, aaa03@b.com, aaa04@b.com, aaa05@b.com.

  7. If necessary, change the default Route Type and Switch-Specific Type at this point.

  8. If necessary, specify the value for the Register property.

  9. If necessary, set the Association DN by doing one of the following:

    • Enter the Association value (for example, an IVR port number, channel name, or access number). In this case, the Association property on the General tab for each DN object will be set to this value.

    • Select the Set Default Associations check box. In this case, the Association property on the General tab for each DN object will be set to the same value as its Number.

Once you have created the range of DNs, you can change the properties of individual DNs in that range by following the regular procedure.


configuration database objects > Resources / Tenants > table access

Table Access Overview

Table Access objects describe database tables of a specified Format and explain how to access these tables through Database Access Points.

Note: You cannot delete a Table Access as long as it remains associated with at least one Calling List.


Table Access: General Tab

configuration database objects > Resources / Tenants > table access

General Tab

General tab properties:

Name

An easy-to-remember name for the Table Access. It can contain up to 254 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which you allocate this Table Access. Once you set the value, you cannot change it.

Table Type

The type of the Table Access in the database. You must specify a value for this property. Once you set the value, you cannot change it.

Description

A brief description of the Table Access.

DB Access Point

The Database Access Point through which to access the Table. You must specify a value for this property. The Database Access Point must serve the Tenant to which this Table Access belongs.

Format

The Format of this Table. You must specify a value for this property for all Table types except Log Table. Once you set the value, you cannot change it.

Database Table

The name of this table as specified in the database. You must specify a value for this property. The name length depends on the DBMS type. Genesys recommends that you do not exceed the following vendor-defined limitations:

  • 18 characters—for DB2 and Informix databases

  • 128 characters—for Microsoft SQL databases

  • 30 characters—for Oracle and Sybase databases

Update in

The number of seconds an application waits before updating the table data in application memory. Applicable if you select the Cacheable check box.

Cacheable

Indicates whether the Table Access data is mirrored in application memory.


configuration database objects > Resources / Tenants > table access

Table Access Types

ANI | An Automatic Number Identification table.
Calling List | A calling list table.
Country Code | A country code table.
Customer-Defined Table | A user-defined table.
Do Not Call List | In Outbound, a list of customers who request not to be called is known as a Do Not Call (DNC) list. The DNC data in a Do Not Call list file includes the customer's phone number or a customer ID.
E-mail Contact List | In Outbound, a list of customers who are to be contacted.
Info Digits | An Information Indicator–Digits table.
LATA | A Local Access and Transport Area table.
Log Table | A log table.
NPA | A Numbering Plan Area table.
NPA-NXX | A table of a Numbering Plan Area with an identifier of the specific telephone company central office that serves that number.
State Code | A State or International code, for example, a U.S. or Canadian postal code, such as CA for California.


configuration database objects > Resources / Tenants > time zones

Time Zones Overview

Time Zones are predefined objects that provide CTI applications with information about world time zones. Each object describes one time zone.


Time Zones: General Tab

configuration database objects > Resources / Tenants > time zones

General Tab

General tab properties:

Name | The name of the Time Zone. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Time Zone. Once you set the value, you cannot change it.
Description | A brief description of the Time Zone.
Offset | The Time Zone Offset relative to Greenwich mean time.
DST Observed | Indicates whether daylight saving time is used.
Netscape | The name of the Time Zone used in the Netscape browser. You must specify a value for this property.
Microsoft Explorer | The name of the Time Zone used in the Microsoft Internet Explorer browser. You must specify a value for this property.


configuration database objects > Resources / Tenants > time zones

Daylight Saving Time Tab

Daylight Saving Time tab properties:

Current Year or Fixed Date (Local)

Indicates whether daylight saving time (DST) is based on the fixed date or on DST values of the current year provided by local host settings.

Start Date

The date when daylight saving time starts.

End Date

The date when daylight saving time ends.

Start Time

The time when daylight saving time starts.

End Time

The time when daylight saving time ends.

DST Definition (GMT)

Sets specific parameters for the automatic calculation of daylight saving time. This allows for more flexibility in the setting of DST.

DST Start

Specify the year, month, week, day, and time when daylight saving time begins:

  • Year—Select <Not Observed> to specify "every year" or select a year.

  • Month—Required always.

  • Week—Required if the Day value is <Not Observed>.

  • Day of week—Required if the Day value is <Not Observed>.

  • Day (of the month)—Required if the Week value is <Not Observed>.

  • Time—Time of Day, required always.

Note: All DST Start values must be earlier than their corresponding DST End values. However, this rule appears to be reversed in the Southern hemisphere because DST ends in the following year.

Note: Selecting the <Not Observed> value affects your other DST Start and DST End choices. Select <Not Observed> in a field when you want that field to be ignored.

For example, select <Not Observed>:

  • in the Year field, to repeat Daylight Saving Time for every year.

  • in the Week field, when you want to specify the exact day of the month; for example, October 25. When you make this selection, the Week field becomes unavailable.

  • in the Day field, when you want to specify an exact day of the week and an exact week of the month; for example, Sunday in the last week of October. When you make this selection, the Day field becomes unavailable.

DST End

Specify the year, month, week, day, and time when daylight saving time ends:

  • Year—Select <Not Observed> to specify "every year" or select a year.

  • Month—Required always.

  • Week—Required if the Day value is <Not Observed>.

  • Day of week—Required if the Day value is <Not Observed>.

  • Day (of the month)—Required if the Week value is <Not Observed>.

  • Time—Time of Day, required always.

Note: All DST End values must be later than their corresponding DST Start values. However, this rule appears to be reversed in the Southern hemisphere because DST ends in the following year.


configuration database objects > Resources / Tenants > transactions

Transactions Overview

Transactions define how CTI applications calculate customer-defined statistics.

For more information about specifications and use of Transactions, consult the Universal Routing documentation.


Transactions: General Tab

configuration database objects > Resources / Tenants > transactions

General Tab

General tab properties:

Name | The name of the Transaction. You must specify a value for this property, and that value must be unique. A combination of the name and type specified in the Type property determines the uniqueness within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Transaction belongs. Once you set the value, you cannot change it.
Type | The type of this Transaction. You must specify a value for this property. Once you set the value, you cannot change it.
Alias | An alternative name for this Transaction. If you specify this value, it must be unique within the object type specified in the Type property for the given contact center.
Recording Period | A time period, in minutes, indicating how often to report the current status of the Transaction or to record it in the database.


Transactions: Format Tab

configuration database objects > Resources / Tenants > transactions

Format Tab

An application-specific format or script that defines how the Transaction is processed.

For more information, consult the Universal Routing documentation.


configuration database objects > Resources / Tenants > Treatments

Treatments Overview

Treatments are most often used in automated outbound campaigns.

A Treatment object tells Outbound Contact Server (OCS) how to respond to an unsuccessful call result (a call that does not reach the intended party). For example, the response to an unsuccessful connection may be to redial, and the response to a successful connection may be to play a message.

A Treatment Sequence is a group of treatment objects that all contain the same Call Result value. Treatments in a sequence are applied to a call in their numerical order (see the Treatment property Number in Sequence).


Treatments: General Tab

configuration database objects > Resources / Tenants > Treatments

General Tab

General tab properties:

Name | The name of the Treatment. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | Exists only in a multi-tenant environment, and is automatically populated by the system. You cannot change this value.
Description | A brief textual description of the Treatment, if needed.
Call Result | The Call Result that triggers this Treatment. Required.
Apply to Record | The action to take after an unsuccessful call attempt. For example, Redial. Required. Default = Unknown Action.
Apply to Call | The action to take after a successful Call Result. Example: Send a fax. Default = Unknown Action.
Destination DN | The DN to which the call will be connected or transferred. Browse for an existing DN. Default = None.
Number in sequence | A number to assign to this treatment object—if it belongs to a treatment sequence (a series of treatments that are triggered by the same Call Result and are applied in numerical order). For example, select 3 to apply this treatment 3rd in the sequence.
Cycle Attempt | The maximum number of treatment attempts. Default = 0.
Interval (Days, Hours, Minutes) | The time to wait (in days, hours, and minutes) between the first dialing attempt and the first Treatment attempt. Default = 0.
Increment | Specifies the number of minutes added to the previous redial time interval. Required when Apply to Record is set to Redial, and used only if Cycle attempt value is greater than 1. Default = 0.
Date | The exact date to attempt another Treatment. Default = the current date.
Time | The exact time to attempt another Treatment. Default = the current time.
Range (Days, Hours, Minutes) | The time to wait (in days, hours, and minutes) before retrying the Treatment. Default for each property = 0.
State Enabled | If selected, customer interaction with this treatment is enabled. If not selected, customer interaction with this treatment is disabled. Required. Default = selected.


configuration database objects > Resources / Tenants > voice prompts

Voice Prompts Overview

Voice Prompts are call treatment objects that may include a set of actions to be applied to a called party.


Voice Prompts: General Tab

configuration database objects > Resources / Tenants > voice prompts

General Tab

General tab properties:

Name (Announcement ID) | The name of the Voice Prompt. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it. If the Voice Prompt is used for a parked-call treatment, this value must correspond to the voice prompt identifier that the switch provides.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Voice Prompt belongs. Once you set the value, you cannot change it.
Description | A brief description of the Voice Prompt. For Text-to-Speech synthesis, a parking platform or a switch can use this property to generate the Voice Prompt.
Switch | The Switch to which this Voice Prompt belongs. Once you set the value, you cannot change it.
Script | A unique identifier of the Script for this Voice Prompt.